<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package tameer-construction-pro
 */
get_header(); ?>
<div class="title-box">
	<div class="container">
		<h1><?php the_title();?></h1>	
	</div>
</div>
<div class="content_page">
	<div class="container">
		<div class="page-content">
				<h3><?php _e( '404 Not Found', 'tameer-construction-pro' ); ?></h3>
				<p class="text-404"><?php _e( 'Looks like you have taken a wrong turn &hellip; Don\'t worry &hellip; it happens to the best of us.', 'tameer-construction-pro' ); ?></p>  
				<div class="read-moresec">
					<div><a href="<?php echo esc_url( home_url() ); ?>" class="button hvr-sweep-to-right">
					<?php _e( 'Back to Home Page', 'tameer-construction-pro' ); ?></a></div>
					</div>			
			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
	</div>
</div>
<?php get_footer(); ?>