<?php
/* Single Testimonial Post Type */
function tameer_construction_pro_single_testimonials($single_template) {
	global $post;
	if ($post->post_type == 'testimonials') {
		$single_template = dirname( __FILE__ ) . '/single-testimonial.php';
	}
	return $single_template;
}
add_filter( 'single_template', 'tameer_construction_pro_single_testimonials' );

/* Single Team Post Type */
function tameer_construction_pro_single_team($single_template) {
	global $post;
	if ($post->post_type == 'team') {
		$single_template = dirname( __FILE__ ) . '/single-team.php';
	}
	return $single_template;
}
add_filter( 'single_template', 'tameer_construction_pro_single_team' );

/* Single Portfolio Post Type */
function tameer_construction_pro_single_work($single_template) {
	global $post;
	if ($post->post_type == 'properties') {
		$single_template = dirname( __FILE__ ) . '/single-properties.php';
	}
	return $single_template;
}
add_filter( 'single_template', 'tameer_construction_pro_single_work' );

/* Single Services Post Type */
function tameer_construction_pro_single_service($single_template) {
	global $post;
	if ($post->post_type == 'projects') {
		$single_template = dirname( __FILE__ ) . '/single-projects.php';
	}
	return $single_template;
}
add_filter( 'single_template', 'tameer_construction_pro_single_service' );