<?php
/**
 * The Template for displaying all single Portfolio.
 *
 * @package tameer-construction-pro
 */
get_header(); 
get_template_part( 'template-parts/banner' );?>
<div class="container">
    <div class="row">
        <div id="construction_single" class="col-lg-9 col-md-8 col-sm-12 col-12">
            <?php while ( have_posts() ) : the_post(); 
            $data = get_post_meta( $post->ID);?>
                <?php if ( has_post_thumbnail() ) { ?>
                    <div class="construction-image">
                        <img src="<?php the_post_thumbnail_url( 'full' ); ?>">
                    </div>
                <?php } ?>  
                <div class="post_info">
                    <p class="mt-3"><?php the_content();?></p>
                </div>                 
                <div class="clearfix"></div>
            <?php endwhile; // end of the loop. ?>
            <div class="post_pagination mt-4">
                <?php the_post_navigation( array(
                    'next_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Next', 'tameer-construction-pro' ) . '</span> ' .
                        '<span class="screen-reader-text">' . __( 'Next post:', 'tameer-construction-pro' ) . '</span> ' .
                        '<span class="post-title">%title</span>',
                    'prev_text' => '<span class="meta-nav" aria-hidden="true">' . __( 'Previous', 'tameer-construction-pro' ) . '</span> ' .
                        '<span class="screen-reader-text">' . __( 'Previous post:', 'tameer-construction-pro' ) . '</span> ' .
                        '<span class="post-title">%title</span>',
                ) );?>
            </div>
        </div>
        <div class="col-lg-3 col-md-4 col-sm-12 col-12" id="sidebar">
            <?php dynamic_sidebar('sidebar-1'); ?>
        </div>  
    </div>    
    <div class="clearfix"></div>
</div>
<?php get_footer(); ?>