<?php 
$section_hide = get_theme_mod( 'tameer_construction_pro_slider_enabledisable' );
if ( 'Disable' == $section_hide ) {
  return;
}
$number = get_theme_mod('tameer_construction_pro_slide_number'); 
$slide_delay = get_theme_mod('tameer_construction_pro_slide_delay'); 
  if($number != ''){
?>
  <section id="slider">
      <div id="carouselExampleIndicators" class="carousel slide <?php if ( get_theme_mod('tameer_construction_pro_slide_remove_fade') == "0" ) { ?> carousel-fade <?php } ?>" data-ride="carousel" data-interval="<?php echo esc_attr($slide_delay); ?>">
        <div class="carousel-inner" role="listbox">
          <?php for ($i=1,$j=1; $i<=$number; $i++,$j++) { 
            if($j>3){ $j=1; } ?>
            <?php if(get_theme_mod('tameer_construction_pro_slide_image'.$i) != ''){ ?>
              <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
                <?php if ( get_theme_mod('tameer_construction_pro_slide_image',true) != "" ) {?>
                  <img  src="<?php echo esc_url(get_theme_mod('tameer_construction_pro_slide_image'.$i)); ?>" alt="<?php echo esc_attr(get_theme_mod('tameer_construction_pro_slide_title'.$i, true)); ?>" title="#slidecaption<?php echo esc_html($i); ?>">
                <?php } ?>
                <?php if ( get_theme_mod('tameer_construction_pro_slide_heading'.$i,true) != "" ) {?>
                <div class="carousel-caption d-none d-md-block mt-5">
                  <div class="container h-100">
                    <div class="row h-100">
                      <div class="inner_carousel">
                        <div class="slider-box ">
                          <h2 class="font-weight-bold"><?php echo esc_html(get_theme_mod('tameer_construction_pro_slide_heading'.$i)); ?><small><?php echo esc_html(get_theme_mod('tameer_construction_pro_slide_heading_first'.$i)); ?></small></h2>
                          <?php if ( get_theme_mod('tameer_construction_pro_slide_list_text1'.$i,true) != "" && get_theme_mod('tameer_construction_pro_slide_list_text2'.$i,true) != ""  && get_theme_mod('tameer_construction_pro_slide_list_text2'.$i,true) != "") {?>
                            <ul class="prop_desc">
                                <li>
                                  <div class="row">
                                    <div class="col-md-3 p-0">
                                    <?php if (get_theme_mod('tameer_construction_pro_list_image1',true) != "") {?>
                                      <img class="exercise-images" src="<?php echo esc_url(get_theme_mod('tameer_construction_pro_list_image1',get_template_directory_uri().'/assets/images/slider-icon-images/icon1.png')); ?>" alt="Image"/>
                                      <?php } else if(get_theme_mod('tameer_construction_pro_list_icon1',true) != ""){?>
                                        <i class="<?php echo esc_html(get_theme_mod('tameer_construction_pro_list_icon1'))?>"></i>
                                         <?php } ?>
                                      </div>                                     
                                      <div class="col-md-9 p-0">
                                        <div class="points"><?php echo esc_html(get_theme_mod('tameer_construction_pro_slide_list_text1')); ?></div>
                                      </div>
                                  </div>
                                </li>
                                <li>
                                  <div class="row">
                                    <div class="col-md-3 p-0">
                                    <?php if (get_theme_mod('tameer_construction_pro_list_image2',true) != "") {?>
                                      <img class="exercise-images" src="<?php echo esc_url(get_theme_mod('tameer_construction_pro_list_image2',get_template_directory_uri().'/assets/images/slider-icon-images/icon2.png')); ?>" alt="Image"/>
                                      <?php } else if(get_theme_mod('tameer_construction_pro_list_icon2',true) != ""){?>
                                        <i class="<?php echo esc_html(get_theme_mod('tameer_construction_pro_list_icon2'))?>"></i>
                                         <?php } ?>
                                      </div>                                     
                                      <div class="col-md-9 p-0">
                                        <div class="points">
                                          <?php echo esc_html(get_theme_mod('tameer_construction_pro_slide_list_text2')); ?>
                                        </div>
                                      </div>
                                  </div>
                                </li>
                                <li>
                                  <div class="row">
                                    <div class="col-md-3 p-0">
                                    <?php if (get_theme_mod('tameer_construction_pro_list_image3',true) != "") {?>
                                      <img class="exercise-images" src="<?php echo esc_url(get_theme_mod('tameer_construction_pro_list_image3',get_template_directory_uri().'/assets/images/slider-icon-images/icon3.png')); ?>" alt="Image"/>
                                      <?php } else if(get_theme_mod('tameer_construction_pro_list_icon3',true) != ""){?>
                                        <i class="<?php echo esc_html(get_theme_mod('tameer_construction_pro_list_icon3'))?>"></i>
                                         <?php } ?>
                                      </div>                                     
                                      <div class="col-md-9">
                                        <div class="points">
                                          <?php echo esc_html(get_theme_mod('tameer_construction_pro_slide_list_text3')); ?>
                                        </div>
                                      </div>
                                  </div>
                                </li>
                            </ul>
                          <?php } ?>
                           <div class="slider-btn">
                              <?php if(get_theme_mod('tameer_construction_pro_slider_know_more_button'.$i) != '') {?>
                                <a class="slider-btn" href="<?php echo esc_html(get_theme_mod('tameer_construction_pro_slider_know_more_button_link'.$i,__("#",'tameer-construction-pro'))); ?>"><?php echo esc_html(get_theme_mod('tameer_construction_pro_slider_know_more_button'.$i))?></a>
                              <?php } ?>
                            </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <?php } ?>
              </div>
            <?php } ?>
          <?php } ?>
        </div>
        <ol class="carousel-indicators">
            <li data-target="#carouselExampleIndicators" data-slide-to="0" class=""></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="1" class="active"></li>
            <li data-target="#carouselExampleIndicators" data-slide-to="2" class=""></li>
        </ol>
        <?php if( get_theme_mod('tameer_construction_pro_slider_arrows', true) != ''){ ?>
        <div class="">
          <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"><i class="fas fa-chevron-left"></i></span>
            <span class="sr-only"><?php esc_html_e('Previous','tameer-construction-pro'); ?></span>
          </a>
          <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"><i class="fas fa-chevron-right"></i></span>
            <span class="sr-only"><?php esc_html_e('Next','tameer-construction-pro'); ?></span>
          </a>
        </div>
        <?php }?>
      </div> 
      <div class="clearfix"></div>
  </section>
<?php 
  }
?>