<?php
	 /* ----------------------------Intro Video Section --------------------------------*/
	$wp_customize->add_section('tameer_construction_pro_intro_video_section',array(
		'title'	=> __('Intro Video Section','tameer-construction-pro'),
		'description'	=> __('Add Exercise Section details here','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_radio_intro_video_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_radio_intro_video_enable_disable_settings',
      array(
      'label' => __('Section Enable Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_intro_video_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_radio_intro_video_enable', array(
	    'selector' => '#intro-video .intro_video_outer',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_radio_intro_video_enable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_radio_intro_video_enable',array(
        'default' => 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control('tameer_construction_pro_radio_intro_video_enable',array(
        'type' => 'radio',
        'label' => __('Do you want this section', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_intro_video_section',
        'choices' => array(
            'Enable' => __('Enable', 'tameer-construction-pro'),
            'Disable' => __('Disable', 'tameer-construction-pro')
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_radio_intro_video_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_radio_intro_video_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_intro_video_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_intro_video_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_intro_video_bgcolor',array(
		'label' => __('Background Color', 'tameer-construction-pro'),
		'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_intro_video_section',
		'settings' => 'tameer_construction_pro_intro_video_bgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_intro_video_bgimage',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_intro_video_bgimage',array(
        'label' => __('Background image ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_intro_video_section',
        'settings' => 'tameer_construction_pro_intro_video_bgimage'
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_radio_intro_video_contents_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_radio_intro_video_contents_settings',
      array(
      'label' => __('Section Contents Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_intro_video_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_intro_video_sec_details',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_intro_video_sec_details',array(
		'label'	=> __('Intro Video Box Text','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_intro_video_section',
		'setting'	=> 'tameer_construction_pro_intro_video_sec_details',
		'type'		=> 'textarea'
	));
	$wp_customize->add_setting('tameer_construction_pro_intro_video_watch_label',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_intro_video_watch_label',array(
		'label'	=> __('IWatch Label','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_intro_video_section',
		'setting'	=> 'tameer_construction_pro_intro_video_watch_label',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('tameer_construction_pro_video_link',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_video_link',array(
		'label'	=> __('video link ','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_intro_video_section',
		'setting'	=> 'tameer_construction_pro_video_link',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('tameer_construction_pro_intro_video_intro_label',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_intro_video_intro_label',array(
		'label'	=> __('IWatch Label','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_intro_video_section',
		'setting'	=> 'tameer_construction_pro_intro_video_intro_label',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_radio_intro_video_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_radio_intro_video_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_intro_video_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_intro_video_box_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));

	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_intro_video_box_bgcolor', array(
		'label' => __('Intro Video Box Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_intro_video_section',
		'settings' => 'tameer_construction_pro_intro_video_box_bgcolor',
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_intro_video_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_intro_video_text_color', array(
		'label' => __('Intro Video Box Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_intro_video_section',
		'settings' => 'tameer_construction_pro_intro_video_text_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_intro_video_text_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_intro_video_text_font_family', array(
	    'section'  => 'tameer_construction_pro_intro_video_section',
	    'label'    => __( 'Box Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting('tameer_construction_pro_intro_video_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(
	    new WP_Customize_Image_Control( $wp_customize,'tameer_construction_pro_intro_video_image',array(
        'label' => __('Image','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_intro_video_section',
        'settings' => 'tameer_construction_pro_intro_video_image'
	)));
	/*-------------------------------------What We Do Section-------------------------------------*/
	// Services
	$wp_customize->add_section('tameer_construction_pro_services_section',array(
		'title'	=> __('What We Do','tameer-construction-pro'),
		'description'	=> __('Add What We Do Content here','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_services_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_services_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_services_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_services_enabledisable', array(
	    'selector' => '#services .section-heading',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_services_enabledisable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_services_enabledisable',array(
        'default'=> 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
	$wp_customize->add_control('tameer_construction_pro_services_enabledisable', array(
        'type' => 'radio',
        'label' => 'Do you want this section',
        'section' => 'tameer_construction_pro_services_section',
        'choices' => array(
            'Enable' => 'Enable',
            'Disable' => 'Disable'
        ),
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_services_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_services_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_services_section'
    )));

    $wp_customize->add_setting( 'tameer_construction_pro_services_bg_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_services_bg_color',array(
		'label' => __('Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_services_bg_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_services_bgimage',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'tameer_construction_pro_services_bgimage',
	        array(
	            'label' => __('Background image','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_services_section',
	            'settings' => 'tameer_construction_pro_services_bgimage'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_services_number_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_services_number_settings',
      array(
      'label' => __('Services Number Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_services_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_services_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_services_number',array(
		'label'	=> __('Number of Tabs to show','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_services_section',
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_services_contents_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_services_contents_settings',
      array(
      'label' => __('Section Contents Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_services_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_services_sec_title',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_services_sec_title',array(
			'label'	=> __('Section Title','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_services_section',
			'type'	=> 'text'
	));
	$count =  get_theme_mod('tameer_construction_pro_services_number');
	$args = array(
   	'type'                     => 'services',
    'child_of'                 => 0,
    'parent'                   => '',
    'orderby'                  => 'term_group',
    'order'                    => 'ASC',
    'hide_empty'               => false,
    'hierarchical'             => 1,
    'number'                   => '',
    'taxonomy'                 => 'createcategory',
    'pad_counts'               => false
	);
	$categories = get_categories( $args );
	$cats = array();
	$i = 0;
	foreach($categories as $category){
		$cats[$category->name] = $category->name;
	}
	for($i=1; $i<=$count; $i++) {
		$wp_customize->add_setting('tameer_construction_pro_services_tab_title'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_services_tab_title'.$i,array(
			'label'	=> __('Tab Title','tameer-construction-pro').$i,
			'section'	=> 'tameer_construction_pro_services_section',
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_services_tab_image'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'tameer_construction_pro_services_tab_image'.$i,
	        array(
	            'label' => __('Services Image','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_services_section',
	            'settings' => 'tameer_construction_pro_services_tab_image'.$i
		)));
		$wp_customize->add_setting('tameer_construction_pro_services_cate'.$i,array(
			'sanitize_callback' => 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_services_cate'.$i,array(
			'type'    => 'select',
			'choices' => $cats,
			'label' => __('Select Category','tameer-construction-pro'),
			'section' => 'tameer_construction_pro_services_section',
			'settings' => 'tameer_construction_pro_services_cate'.$i,
		));
		$wp_customize->add_setting('tameer_construction_pro_services_btntext'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_services_btntext'.$i,array(
			'label'	=> __('Button Text','tameer-construction-pro').$i,
			'section'	=> 'tameer_construction_pro_services_section',
			'type'	=> 'text'
		));
	}

	$wp_customize->add_setting( 'tameer_construction_pro_services_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_services_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_services_section'
    )));

	//Color picker setting
    $wp_customize->add_setting( 'tameer_construction_pro_services_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_services_title_color', array(
		'label' => __('Section Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_services_title_color',
	)));
	//font family picker setting
	$wp_customize->add_setting('tameer_construction_pro_services_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_services_title_fonts', array(
	    'section'  => 'tameer_construction_pro_services_section',
	    'label'    => __( 'Section Title Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	//Color picker setting
    $wp_customize->add_setting( 'tameer_construction_pro_services_sec_tab_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_services_sec_tab_color', array(
		'label' => __('Tab Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_services_sec_tab_color',
	)));
	//font family picker setting
	$wp_customize->add_setting('tameer_construction_pro_services_sec_tab_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_services_sec_tab_fonts', array(
	    'section'  => 'tameer_construction_pro_services_section',
	    'label'    => __( 'Tab Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	
	//Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_services_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_services_text_color', array(
		'label' => __('Section Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_services_text_color',
	)));
	//font family picker setting
	$wp_customize->add_setting('tameer_construction_pro_services_text_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_services_text_fonts', array(
	    'section'  => 'tameer_construction_pro_services_section',
	    'label'    => __( 'Section Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_service_button_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_service_button_bgcolor',array(
		'label' => __('Button Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_service_button_bgcolor',
	)));
	//Background color picker
	$wp_customize->add_setting( 'tameer_construction_pro_service_button_hover_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_service_button_hover_bgcolor',array(
		'label' => __('Button Background Color On Hover', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_service_button_hover_bgcolor',
	)));
	//Color picker setting
    $wp_customize->add_setting( 'tameer_construction_pro_service_button_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_service_button_text_color', array(
		'label' => __('Button Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_service_button_text_color',
	)));
	//font family picker setting
	$wp_customize->add_setting('tameer_construction_pro_service_button_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_service_button_font_family', array(
	    'section'  => 'tameer_construction_pro_services_section',
	    'label'    => __( 'Button Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	//Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_services_location_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_services_location_text_color', array(
		'label' => __('Location Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_services_section',
		'settings' => 'tameer_construction_pro_services_location_text_color',
	)));
	//font family picker setting
	$wp_customize->add_setting('tameer_construction_pro_services_location_text_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_services_location_text_fonts', array(
	    'section'  => 'tameer_construction_pro_services_section',
	    'label'    => __( 'Location Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	//End
	/*------------------------------------ Recent Properties Section -------------------------------------*/
	$wp_customize->add_section('tameer_construction_pro_recent_properties_section',array(
		'title'	=> __('Recent Properties Section','tameer-construction-pro'),
		'description'	=> __('Add Welcome Section Details here.','tameer-construction-pro'),
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_properties_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_properties_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_recent_properties_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_radio_recent_properties_enable', array(
	    'selector' => '#properties .container',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_radio_recent_properties_enable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_radio_recent_properties_enable',
	    array(
        'default' => 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control('tameer_construction_pro_radio_recent_properties_enable',
	    array(
        'type' => 'radio',
        'label' => __('Do you want this section', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_recent_properties_section',
        'choices' => array(
        'Enable' => __('Enable', 'tameer-construction-pro'),
        'Disable' => __('Disable', 'tameer-construction-pro')
	    ),
	));

	$wp_customize->add_setting( 'tameer_construction_pro_properties_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_properties_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_recent_properties_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_properties_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_bgcolor', array(
		'label' => __('Section Background Color', 'tameer-construction-pro'),
		'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_bgcolor',
	)));

	$wp_customize->add_setting('tameer_construction_pro_properties_bgimage',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(
	    new WP_Customize_Image_Control( $wp_customize,'tameer_construction_pro_properties_bgimage',array(
        'label' => __('Section Background Image','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_recent_properties_section',
        'settings' => 'tameer_construction_pro_properties_bgimage'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_properties_loop_settings',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_properties_loop_settings',
	   array(
	      'label' => esc_html__( 'Loop Settings', 'tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_recent_properties_section'
	)));
	
	$wp_customize->add_setting( 'tameer_construction_pro_properties_contents_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_properties_contents_settings',
      array(
      'label' => __('Section Contents Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_recent_properties_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_properties_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_properties_title',array(
		'label'	=> __('Section Main Title','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_recent_properties_section',
		'setting'	=> 'tameer_construction_pro_properties_title',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('tameer_construction_pro_properties_contact_details_label',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_properties_contact_details_label',array(
		'label'	=> __('Contact Details Label','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_recent_properties_section',
		'setting'	=> 'tameer_construction_pro_properties_contact_details_label',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('tameer_construction_pro_properties_contact_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_properties_contact_number',array(
		'label'	=> __('Contact Number','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_recent_properties_section',
		'setting'	=> 'tameer_construction_pro_properties_contact_number',
		'type'		=> 'text'
	));
	$wp_customize->add_setting('tameer_construction_pro_properties_email_id',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_properties_email_id',array(
		'label'	=> __('Email Id','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_recent_properties_section',
		'setting'	=> 'tameer_construction_pro_properties_email_id',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_properties_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_properties_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_recent_properties_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_properties_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_title_color', array(
		'label' => __('Properties Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_title_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_properties_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_properties_title_fonts', array(
	    'section'  => 'tameer_construction_pro_recent_properties_section',
	    'label'    => __( 'Properties Title Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_location_icon_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_location_icon_color', array(
		'label' => __('Location Icon Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_location_icon_color',
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_icon_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_icon_color', array(
		'label' => __('Properties Icons Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_icon_color',
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_property_name_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_property_name_color', array(
		'label' => __('Property Name Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_property_name_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_property_name_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_property_name_fonts', array(
	    'section'  => 'tameer_construction_pro_recent_properties_section',
	    'label'    => __( 'Property Name Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_description_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_description_color', array(
		'label' => __('Property Description Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_description_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_properties_description_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_properties_description_fonts', array(
	    'section'  => 'tameer_construction_pro_recent_properties_section',
	    'label'    => __( 'Property Description Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_location_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_location_text_color', array(
		'label' => __('Properties Location Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_location_text_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_properties_location_text_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_properties_location_text_fonts', array(
	    'section'  => 'tameer_construction_pro_recent_properties_section',
	    'label'    => __( 'Properties Location Text Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_text_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_text_color', array(
		'label' => __('Properties Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_text_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_properties_text_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_properties_text_fonts', array(
	    'section'  => 'tameer_construction_pro_recent_properties_section',
	    'label'    => __( 'Properties Text Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_more_details_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_more_details_color', array(
		'label' => __('More Details Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_more_details_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_properties_more_details_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_properties_more_details_fonts', array(
	    'section'  => 'tameer_construction_pro_recent_properties_section',
	    'label'    => __( 'More Details Text Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_more_details_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_more_details_bgcolor', array(
		'label' => __('More Details Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_more_details_bgcolor',
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_properties_price_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_properties_price_color', array(
		'label' => __('Price Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_recent_properties_section',
		'settings' => 'tameer_construction_pro_properties_price_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_properties_price_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_properties_price_fonts', array(
	    'section'  => 'tameer_construction_pro_recent_properties_section',
	    'label'    => __( 'More Details Text Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	/* -----------------------------Projects Section --------------------------------*/
	$wp_customize->add_section('tameer_construction_pro_projects_section',array(
		'title'	=> __('Projects','tameer-construction-pro'),
		'description'	=> __('Add Facilities details here','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_projects_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_projects_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_projects_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_projects_enable_disable', array(
	    'selector' => '#projects .container',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_projects_enable_disable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_projects_enable_disable',array(
        'default' => 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control('tameer_construction_pro_projects_enable_disable',array(
        'type' => 'radio',
        'label' => __('Do you want this section', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_projects_section',
        'choices' => array(
            'Enable' => __('Enable', 'tameer-construction-pro'),
            'Disable' => __('Disable', 'tameer-construction-pro')
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_projects_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_projects_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_projects_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_projects_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_projects_bgcolor',array(
		'label' => __('Background Color', 'tameer-construction-pro'),
		'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_projects_section',
		'settings' => 'tameer_construction_pro_projects_bgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_projects_bgimage',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_projects_bgimage',array(
        'label' => __('Background Image ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_projects_section',
        'settings' => 'tameer_construction_pro_projects_bgimage'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_projects_contents_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_projects_contents_settings',
      array(
      'label' => __('Section Contents Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_projects_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_projects_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_projects_title',array(
		'label'	=> __('Section Title','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_projects_section',
		'setting'	=> 'tameer_construction_pro_projects_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_projects_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_projects_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_projects_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_projects_title_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_projects_title_color', array(
		'label' => __('Section Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_projects_section',
		'settings' => 'tameer_construction_pro_projects_title_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_projects_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_projects_title_fonts', array(
	    'section'  => 'tameer_construction_pro_projects_section',
	    'label'    => __( 'Section Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting('tameer_construction_pro_projects_name_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_projects_name_color', array(
		'label' => __('Project Name Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_projects_section',
		'settings' => 'tameer_construction_pro_projects_name_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_projects_name_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_projects_name_fonts', array(
	    'section'  => 'tameer_construction_pro_projects_section',
	    'label'    => __( 'Project Name Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	
	$wp_customize->add_setting('tameer_construction_pro_projects_button_text_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_projects_button_text_color', array(
		'label' => __('Projects Button Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_projects_section',
		'settings' => 'tameer_construction_pro_projects_button_text_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_projects_button_text_hover_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_projects_button_text_hover_color', array(
		'label' => __('Projects Button Text Hover Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_projects_section',
		'settings' => 'tameer_construction_pro_projects_button_text_hover_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_projects_button_text_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_projects_button_text_fonts', array(
	    'section'  => 'tameer_construction_pro_projects_section',
	    'label'    => __( 'Project Button Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting('tameer_construction_pro_projects_button_backgcolor', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_projects_button_backgcolor', array(
		'label' => __('Button Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_projects_section',
		'settings' => 'tameer_construction_pro_projects_button_backgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_projects_button_bgcolor', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_projects_button_bgcolor', array(
		'label' => __('Button Background Color On Hover', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_projects_section',
		'settings' => 'tameer_construction_pro_projects_button_bgcolor',
	)));
	/*------------------------ Records Section --------------------------*/
	$wp_customize->add_section('tameer_construction_pro_records_section',array(
		'title'	=> __('Records Section','tameer-construction-pro'),
		'description'	=> __('Add Records details here','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_records_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_records_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_records_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_records_enable', array(
	    'selector' => '#records .container',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_records_enable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_records_enable',array(
        'default' => 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control('tameer_construction_pro_records_enable',array(
        'type' => 'radio',
        'label' => __('Do you want this section', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_records_section',
        'choices' => array(
            'Enable' => __('Enable', 'tameer-construction-pro'),
            'Disable' => __('Disable', 'tameer-construction-pro')
	)));
	
	$wp_customize->add_setting( 'tameer_construction_pro_records_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_records_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_records_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_records_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_records_bgcolor',array(
		'label' => __('Background Color', 'tameer-construction-pro'),
		'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_records_section',
		'settings' => 'tameer_construction_pro_records_bgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_records_bgimage',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_membership_bgimage',array(
        'label' => __('Background image ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_records_section',
        'settings' => 'tameer_construction_pro_records_bgimage'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_records_title_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_records_title_settings',
      array(
      'label' => __('Section Title Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_records_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_records_section_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_records_section_title',array(
		'label'	=> __('Section Title','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_records_section',
		'setting'	=> 'tameer_construction_pro_records_section_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_records_number_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_records_number_settings',
      array(
      'label' => __('Records Number Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_records_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_records_box_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_records_box_number',array(
		'label'	=> __('Number of boxes to show','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_records_section',
		'type'		=> 'number'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_records_contents_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_records_contents_settings',
      array(
      'label' => __('Section Contents Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_records_section'
    )));

	$countmembership =  get_theme_mod('tameer_construction_pro_records_box_number', 3);
	for($i=1; $i<=$countmembership; $i++) {
		$wp_customize->add_setting('tameer_construction_pro_records_box_details'.$i,array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('tameer_construction_pro_records_box_details'.$i,array(
			'label'	=> __('Records Number','tameer-construction-pro').$i,
			'section'	=> 'tameer_construction_pro_records_section',
			'setting'	=> 'tameer_construction_pro_records_box_details'.$i,
			'type'		=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_records_box_title'.$i,array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
		));
		$wp_customize->add_control('tameer_construction_pro_records_box_title'.$i,array(
			'label'	=> __('Recorde Title','tameer-construction-pro').$i,
			'section'	=> 'tameer_construction_pro_records_section',
			'setting'	=> 'tameer_construction_pro_records_box_title'.$i,
			'type'		=> 'text'
		));
	}	

	$wp_customize->add_setting( 'tameer_construction_pro_records_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_records_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_records_section'
    )));

		//color pallete
	$wp_customize->add_setting( 'tameer_construction_pro_records_boxbgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_records_boxbgcolor',array(
		'label' => __('Box Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_records_section',
		'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
		'settings' => 'tameer_construction_pro_records_boxbgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_records_boxbgimage',array(
		'default' => '',
		'sanitize_callback' => 'esc_url_raw',
	));
	$wp_customize->add_control(
	   new WP_Customize_Image_Control(
	       $wp_customize,
	       'tameer_construction_pro_records_boxbgimage',
	       array(
	           'label' => __('Box Background Image','tameer-construction-pro'),
	           'description' => __('Image Size should be approximate (300*640px)', 'tameer-construction-pro'),
	           'section' => 'tameer_construction_pro_records_section',
	           'settings' => 'tameer_construction_pro_records_boxbgimage',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_records_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_records_title_color', array(
		'label' => __('Section Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_records_section',
		'settings' => 'tameer_construction_pro_records_title_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_records_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_records_title_fonts', array(
	    'section'  => 'tameer_construction_pro_records_section',
	    'label'    => __( 'Section Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_records_details_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_records_details_color', array(
		'label' => __('Records Number Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_records_section',
		'settings' => 'tameer_construction_pro_records_details_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_records_details_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_records_details_fonts', array(
	    'section'  => 'tameer_construction_pro_records_section',
	    'label'    => __( 'Records Number Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_records_box_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_records_box_title_color', array(
		'label' => __('Box Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_records_section',
		'settings' => 'tameer_construction_pro_records_box_title_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_records_box_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_records_box_title_fonts', array(
	    'section'  => 'tameer_construction_pro_records_section',
	    'label'    => __( 'Box Sub-title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	 /*------------------------------Our Team Section----------------------------------------*/
	$wp_customize->add_section('tameer_construction_pro_our_team_section',array(
		'title'	=> __('Our Team Section','tameer-construction-pro'),
		'description'	=> __('This section is only for Team title and styling. <a href="','tameer-construction-pro').esc_url(home_url()).__('/wp-admin/edit.php?post_type=team" target="_blank">Click here</a> to add Trainers','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_team_enable_disable_settings',
      array(
      'label' => __('Section Enable Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_team_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_radio_our_team_enable', array(
	    'selector' => '#team .container',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_radio_our_team_enable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_radio_our_team_enable',array(
        'default' => 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control('tameer_construction_pro_radio_our_team_enable',
    array(
        'type' => 'radio',
        'label' => __('Do you want this section', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_our_team_section',
	    'choices' => array(
        'Enable' => __('Enable', 'tameer-construction-pro'),
        'Disable' => __('Disable', 'tameer-construction-pro')
	     ),
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_our_team_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_team_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_team_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_team_bgcolor', array(
			'label' => __('Background Color', 'tameer-construction-pro'),
			'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
			'section' => 'tameer_construction_pro_our_team_section',
			'settings' => 'tameer_construction_pro_our_team_bgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_our_team_bgimage',array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'tameer_construction_pro_our_team_bgimage',
	        array(
	            'label' => __('Background Image','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_our_team_section',
	            'settings' => 'tameer_construction_pro_our_team_bgimage'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_team_loop_settings',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_team_loop_settings',
	   array(
	      'label' => esc_html__( 'Loop Settings', 'tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_our_team_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_title_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_team_title_settings',
      array(
      'label' => __('Section Title Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_team_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_team_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_team_title',array(
		'label'	=> __('Section Title','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_our_team_section',
		'setting'	=> 'tameer_construction_pro_team_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_team_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_team_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_our_team_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_team_title_color', array(
		'label' => __('Section Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_team_title_color',
	)));
	
	$wp_customize->add_setting('tameer_construction_pro_our_team_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_our_team_title_fonts', array(
	    'section'  => 'tameer_construction_pro_our_team_section',
	    'label'    => __( 'Section Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_name_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_team_name_color', array(
		'label' => __('Team Name Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_team_name_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_our_team_name_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_our_team_name_fonts', array(
	    'section'  => 'tameer_construction_pro_our_team_section',
	    'label'    => __( 'Team Name Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_designation_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_team_designation_color', array(
		'label' => __('Team Designation Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_team_designation_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_our_team_designation_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_our_team_designation_fonts', array(
	    'section'  => 'tameer_construction_pro_our_team_section',
	    'label'    => __( 'Team Designation Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_name_hover_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_team_name_hover_color', array(
		'label' => __('Team Name Color On Hover', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_team_name_hover_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_our_team_designation_hover_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_team_designation_hover_color', array(
		'label' => __('Team Designation Color On Hover', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_team_designation_hover_color',
	)));
		/* ------------------------------Testimonial Section -----------------------------------*/
	$wp_customize->add_section('tameer_construction_pro_testimonial',array(
			'title'	=> __('Testimonial','tameer-construction-pro'),
			'description'	=> __('This section is only for Testimonial title and styling. <a href="','tameer-construction-pro').esc_url(home_url()).__('/wp-admin/edit.php?post_type=testimonials" target="_blank">Click here</a> to add testimonials.','tameer-construction-pro'),
			'priority'	=> null,
			'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_testimonial_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_testimonial_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_testimonial'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_radio_testimonial_enable', array(
	    'selector' => '#testimonials .container',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_radio_testimonial_enable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_radio_testimonial_enable',
	    array(
	        'default' => 'Enable',
	        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control('tameer_construction_pro_radio_testimonial_enable',
    array(
        'type' => 'radio',
        'label' => __('Do you want this section', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_testimonial',
	        'choices' => array(
	            'Enable' => __('Enable', 'tameer-construction-pro'),
	            'Disable' => __('Disable', 'tameer-construction-pro')
	    ),
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_testimonial_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_testimonial_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_testimonial'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_testimonial_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_testimonial_bgcolor', array(
				'label' => __('Background Color', 'tameer-construction-pro'),
				'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
				'section' => 'tameer_construction_pro_testimonial',
				'settings' => 'tameer_construction_pro_testimonial_bgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_our_testimonial_bgimage',array(
			'default'	=>'',
			'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(
	    new WP_Customize_Image_Control(
	        $wp_customize,
	        'tameer_construction_pro_our_testimonial_bgimage',
	        array(
	            'label' => __('Background image','tameer-construction-pro'),
	            'section' => 'tameer_construction_pro_testimonial',
	            'settings' => 'tameer_construction_pro_our_testimonial_bgimage'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_testimonials_loop_settings',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_testimonials_loop_settings',
	   array(
	      'label' => esc_html__( 'Loop Settings', 'tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_testimonial'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_testimonial_title_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_testimonial_title_settings',
      array(
      'label' => __('Section Title Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_testimonial'
    )));

	$wp_customize->add_setting('tameer_construction_pro_testimonial_title',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_testimonial_title',array(
		'label'	=> __('Section Title','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_testimonial',
		'setting'	=> 'tameer_construction_pro_testimonial_title',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_testimonial_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_testimonial_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_testimonial'
    )));

	$wp_customize->add_setting('tameer_construction_pro_testimonial_title_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_testimonial_title_color', array(
        'label' => __('Section Title Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_testimonial',
        'settings' => 'tameer_construction_pro_testimonial_title_color',
    )));
    $wp_customize->add_setting('tameer_construction_pro_testimonial_title_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_testimonial_title_font_family', array(
        'section'  => 'tameer_construction_pro_testimonial',
        'label'    => __( 'Section Title Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

	$wp_customize->add_setting('tameer_construction_pro_testimonial_text_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_testimonial_text_color', array(
        'label' => __('Testimonial Box Text Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_testimonial',
        'settings' => 'tameer_construction_pro_testimonial_text_color',
    )));
    $wp_customize->add_setting('tameer_construction_pro_testimonial_text_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_testimonial_text_font_family', array(
        'section'  => 'tameer_construction_pro_testimonial',
        'label'    => __( 'Testimonial Box Text Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

    $wp_customize->add_setting('tameer_construction_pro_testimonial_name_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_testimonial_name_color', array(
        'label' => __('Testimonial Name Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_testimonial',
        'settings' => 'tameer_construction_pro_testimonial_name_color',
    )));
    $wp_customize->add_setting('tameer_construction_pro_testimonial_name_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_testimonial_name_font_family', array(
        'section'  => 'tameer_construction_pro_testimonial',
        'label'    => __( 'Testimonial Name Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

	$wp_customize->add_setting( 'tameer_construction_pro_testimonial_designation_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_testimonial_designation_color', array(
		'label' => __('Testimonial Designation Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_testimonial',
		'settings' => 'tameer_construction_pro_testimonial_designation_color',
	)));
	
	$wp_customize->add_setting('tameer_construction_pro_testimonial_designation_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_testimonial_designation_font_family', array(
	    'section'  => 'tameer_construction_pro_testimonial',
	    'label'    => __( 'Testimonial Designation Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	/*------------------------ Our Partners --------------------------*/
	$wp_customize->add_section('tameer_construction_pro_our_partners_section',array(
		'title'	=> __('Our Partners','tameer-construction-pro'),
		'description'	=> __('Add partners details here','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_our_partners_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_partners_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_partners_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_radio_our_partners_enable', array(
	    'selector' => '#our_partners .container',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_radio_our_partners_enable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_radio_our_partners_enable',array(
        'default' => 'Enable',
        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control('tameer_construction_pro_radio_our_partners_enable',array(
        'type' => 'radio',
        'label' => __('Do you want this section', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_our_partners_section',
        'choices' => array(
            'Enable' => __('Enable', 'tameer-construction-pro'),
            'Disable' => __('Disable', 'tameer-construction-pro')
	)));
	
	$wp_customize->add_setting( 'tameer_construction_pro_our_partners_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_partners_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_partners_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_our_partnersbg_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_partnersbg_color',array(
		'label' => __('Background Color', 'tameer-construction-pro'),
		'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_partners_section',
		'settings' => 'tameer_construction_pro_our_partnersbg_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_our_partnersbg_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_our_partnersbg_image',array(
        'label' => __('Background image ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_our_partners_section',
        'settings' => 'tameer_construction_pro_our_partnersbg_image'
	)));
	
	$wp_customize->add_setting( 'tameer_construction_pro_our_partners_loop_settings',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_our_partners_loop_settings',
	   array(
	      'label' => esc_html__( 'Loop Settings', 'tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_our_partners_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_our_partners_number_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_partners_number_settings',
      array(
      'label' => __('Partners Number Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_partners_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_our_partners_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_our_partners_number',array(
		'label'	=> __('Number of boxes to show','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_our_partners_section',
		'type'		=> 'number'
	));
	$count =  get_theme_mod('tameer_construction_pro_our_partners_number');

	$wp_customize->add_setting( 'tameer_construction_pro_our_partners_image_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_our_partners_image_settings',
      array(
      'label' => __('Partners Image Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_our_partners_section'
    )));

	for($i=1, $j=1; $i<=$count; $i++, $j++) {
		if($j==4){ $j=1; }
		$wp_customize->add_setting('tameer_construction_pro_our_partners_image'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_our_partners_image'.$i,
	        array(
	            'label' => __('Partner Image ','tameer-construction-pro').$i,
	            'section' => 'tameer_construction_pro_our_partners_section',
	            'settings' => 'tameer_construction_pro_our_partners_image'.$i
		)));	
	}

	/*------------------------------------Latets News section -------------------------------------*/
    $wp_customize->add_section('tameer_construction_pro_latest_news_section',array(
		'title'	=> __('Latest News','tameer-construction-pro'),
		'description'	=> __('Add Popular Programs content here.','tameer-construction-pro'),
		'panel' => 'tameer_construction_pro_panel_id',
	));

    $wp_customize->add_setting( 'tameer_construction_pro_latest_news_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_latest_news_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_latest_news_section'
    )));

	$wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_radio_post_enable', array(
	    'selector' => '#latest_post .container',
	    'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_radio_post_enable',
  	));

	$wp_customize->add_setting('tameer_construction_pro_radio_post_enable',
	    array(
	        'default' => 'Enable',
	        'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	    )
    );
	$wp_customize->add_control('tameer_construction_pro_radio_post_enable',
	    array(
	        'type' => 'radio',
	        'label' => __('Do you want this section', 'tameer-construction-pro'),
	        'section' => 'tameer_construction_pro_latest_news_section',
	        'choices' => array(
	            'Enable' => __('Enable', 'tameer-construction-pro'),
	            'Disable' => __('Disable', 'tameer-construction-pro')
	        ),
	    )
    );

	$wp_customize->add_setting( 'tameer_construction_pro_latest_news_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_latest_news_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_latest_news_section'
    )));

	$wp_customize->add_setting( 'tameer_construction_pro_latest_news_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latest_news_bgcolor',array(
		'label' => __('Background Color', 'tameer-construction-pro'),

		'section' => 'tameer_construction_pro_latest_news_section',
		'description' => __('Either add background color or background image, if you add both background color will be top most priority', 'tameer-construction-pro'),
		'settings' => 'tameer_construction_pro_latest_news_bgcolor',
	)));
	$wp_customize->add_setting('tameer_construction_pro_latest_news_bgimage',array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(
           new WP_Customize_Image_Control(
               $wp_customize,
               'tameer_construction_pro_latest_news_bgimage',
               array(
                   'label' => __('Background Image(Image Resolution:1520*420)','tameer-construction-pro'),
                   'section' => 'tameer_construction_pro_latest_news_section',
                   'settings' => 'tameer_construction_pro_latest_news_bgimage',
    )));

    $wp_customize->add_setting( 'tameer_construction_pro_latest_news_loop_settings',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_latest_news_loop_settings',
	   array(
	      'label' => esc_html__( 'Loop Settings', 'tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_latest_news_section'
	)));

    $wp_customize->add_setting( 'tameer_construction_pro_latest_news_title_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_latest_news_title_settings',
      array(
      'label' => __('Section Title Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_latest_news_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_latest_news_title',array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
	$wp_customize->add_control('tameer_construction_pro_latest_news_title',array(
			'label'	=> __('Section Title','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_latest_news_section',
			'settings' => 'tameer_construction_pro_latest_news_title',
			'type'	=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_latest_news_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_latest_news_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_latest_news_section'
    )));

	$wp_customize->add_setting('tameer_construction_pro_latest_news_title_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latest_news_title_color', array(
		'label' => __('Section Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_news_section',
		'settings' => 'tameer_construction_pro_latest_news_title_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_latest_news_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latest_news_title_fonts', array(
	    'section'  => 'tameer_construction_pro_latest_news_section',
	    'label'    => __( 'Section Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));		

	$wp_customize->add_setting('tameer_construction_pro_latest_news_box_title_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latest_news_box_title_color', array(
		'label' => __('Box Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_news_section',
		'settings' => 'tameer_construction_pro_latest_news_box_title_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_latest_news_box_title_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latest_news_box_title_fonts', array(
	    'section'  => 'tameer_construction_pro_latest_news_section',
	    'label'    => __( 'Box Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));		

	$wp_customize->add_setting('tameer_construction_pro_latest_news_box_text_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latest_news_box_text_color', array(
		'label' => __('Box Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_news_section',
		'settings' => 'tameer_construction_pro_latest_news_box_text_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_latest_news_box_text_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latest_news_box_text_fonts', array(
	    'section'  => 'tameer_construction_pro_latest_news_section',
	    'label'    => __( 'Box Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));		

	$wp_customize->add_setting('tameer_construction_pro_latest_news_author_name_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latest_news_author_name_color', array(
		'label' => __('Author Name Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_news_section',
		'settings' => 'tameer_construction_pro_latest_news_author_name_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_latest_news_author_name_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latest_news_author_name_fonts', array(
	    'section'  => 'tameer_construction_pro_latest_news_section',
	    'label'    => __( 'Author Name Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));		

	$wp_customize->add_setting('tameer_construction_pro_latest_news_date_text_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latest_news_date_text_color', array(
		'label' => __('Date Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_news_section',
		'settings' => 'tameer_construction_pro_latest_news_date_text_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_latest_news_date_text_fonts',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latest_news_date_text_fonts', array(
	    'section'  => 'tameer_construction_pro_latest_news_section',
	    'label'    => __( 'Date Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));		

	$wp_customize->add_setting('tameer_construction_pro_about_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_about_number',array(
		'label'	=> __('Number of record to show','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_about_sec',
		'type'		=> 'number'
	));
	$count =  get_theme_mod('tameer_construction_pro_about_number', 3);

	for($i=1; $i<=$count; $i++) {

		$wp_customize->add_setting('tameer_construction_pro_about_sec_icon'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_about_sec_icon'.$i,array(
			'label'	=> __('Add Icon Class','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_about_sec',
			'type'	=> 'text'
		));

		$wp_customize->add_setting('tameer_construction_pro_about_icon_image'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'esc_url_raw',
		));
		$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_about_icon_image'.$i,array(
	        'label' => __('Icon Image(Image Resolution 85*85)If you want to add image first remove the icon','tameer-construction-pro'),
	        'section' => 'tameer_construction_pro_about_sec',
	        'settings' => 'tameer_construction_pro_about_icon_image'.$i
		)));

		$wp_customize->add_setting('tameer_construction_pro_about_sec_title'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_about_sec_title'.$i,array(
			'label'	=> __('Donate Now','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_about_sec',
			'type'	=> 'text'
		));
        
        $wp_customize->add_setting('tameer_construction_pro_about_sec_btnurl'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_about_sec_btnurl'.$i,array(
			'label'	=> __('Donate Now Link','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_about_sec',
			'type'	=> 'text'
		));

		$wp_customize->add_setting('tameer_construction_pro_about_sec_details'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_about_sec_details'.$i,array(
			'label'	=> __('Service Content','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_about_sec',
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_about_sec_readmore'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_about_sec_readmore'.$i,array(
			'label'	=> __('read More Text','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_about_sec',
			'type'	=> 'text'
		));
		$wp_customize->add_setting('tameer_construction_pro_about_sec_readmore_link'.$i,array(
			'default'	=> '',
			'sanitize_callback'	=> 'sanitize_text_field',
		));
		$wp_customize->add_control('tameer_construction_pro_about_sec_readmore_link'.$i,array(
			'label'	=> __('read More Link','tameer-construction-pro'),
			'section'	=> 'tameer_construction_pro_about_sec',
			'type'	=> 'text'
		));
	}
	$wp_customize->add_setting( 'tameer_construction_pro_aboutheading_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_aboutheading_color', array(
		'label' => __('Title Heading Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_aboutheading_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_aboutheading_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_aboutheading_font_family', array(
	    'section'  => 'tameer_construction_pro_about_sec',
	    'label'    => __( 'Title Heading Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_about_sub_heading_color', array(
	'default' => '',
	'sanitize_callback'	=> 'sanitize_hex_color'
	));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_sub_heading_color', array(
		'label' => __('Sub Heading Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_sub_heading_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_about_sub_heading_font_family', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_sub_heading_font_family', array(
		'label' => __('Sub Heading Font Family', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_sub_heading_font_family',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_about_box_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
		));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_box_bgcolor', array(
		'label' => __('Box Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_box_bgcolor',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_about_box_icon_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_box_icon_color', array(
		'label' => __('Box Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_box_icon_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_about_box_bgcolor_hover', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
		));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_box_bgcolor_hover', array(
		'label' => __('Box Background Color On hover', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_box_bgcolor_hover',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_about_box_icon_color_hover', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_box_icon_color_hover', array(
		'label' => __('Box Background Color On hover', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_box_icon_color_hover',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_about_box_heading_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_box_heading_color', array(
		'label' => __('Box Heading Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_box_heading_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_about_box_heading_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_about_box_heading_font_family', array(
	    'section'  => 'tameer_construction_pro_about_sec',
	    'label'    => __( 'Box Heading Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_about_box_content_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_box_content_color', array(
		'label' => __('Box Content Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_box_content_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_about_box_content_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_about_box_content_font_family', array(
	    'section'  => 'tameer_construction_pro_about_sec',
	    'label'    => __( 'Box Content Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_about_box_link_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	   $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
		'tameer_construction_pro_about_box_link_color', array(
		'label' => __('Box Link Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_about_sec',
		'settings' => 'tameer_construction_pro_about_box_link_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_about_box_link_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_about_box_link_font_family', array(
	    'section'  => 'tameer_construction_pro_about_sec',
	    'label'    => __( 'Box link Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting('tameer_construction_pro_latestpost_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latestpost_title_color', array(
		'label' => __('Section Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_post',
		'settings' => 'tameer_construction_pro_latestpost_title_color',
	)));
	
	$wp_customize->add_setting('tameer_construction_pro_latestpost_title_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latestpost_title_font_family', array(
	    'section'  => 'tameer_construction_pro_latest_post',
	    'label'    => __( 'Section Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	$wp_customize->add_setting( 'tameer_construction_pro_latestpost_subtext_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latestpost_subtext_color', array(
		'label' => __('Sub Text Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_post',
		'settings' => 'tameer_construction_pro_latestpost_subtext_color',
	)));
	
	$wp_customize->add_setting('tameer_construction_pro_latestpost_subtext_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latestpost_subtext_font_family', array(
	    'section'  => 'tameer_construction_pro_latest_post',
	    'label'    => __( 'Sub Text Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_latestpost_box_title_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latestpost_box_title_color', array(
		'label' => __('Box Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_post',
		'settings' => 'tameer_construction_pro_latestpost_box_title_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_latestpost_box_title_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latestpost_box_title_font_family', array(
	    'section'  => 'tameer_construction_pro_latest_post',
	    'label'    => __( 'Box Title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_latestpost_box_content_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latestpost_box_content_color', array(
		'label' => __('Box Content Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_post',
		'settings' => 'tameer_construction_pro_latestpost_box_content_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_latestpost_box_content_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latestpost_box_content_font_family', array(
	    'section'  => 'tameer_construction_pro_latest_post',
	    'label'    => __( 'Box Content Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_latestpost_box_meta_content_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latestpost_box_meta_content_color', array(
		'label' => __('Box Meta Content Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_post',
		'settings' => 'tameer_construction_pro_latestpost_box_meta_content_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_latestpost_box_meta_content_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latestpost_box_meta_content_font_family', array(
	    'section'  => 'tameer_construction_pro_latest_post',
	    'label'    => __( 'Box Meta Content Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_latestpost_box_meta_date_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latestpost_box_meta_date_color', array(
		'label' => __('Box Date Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_post',
		'settings' => 'tameer_construction_pro_latestpost_box_meta_date_color',
	)));

	$wp_customize->add_setting('tameer_construction_pro_latestpost_box_meta_date_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_latestpost_box_meta_date_font_family', array(
	    'section'  => 'tameer_construction_pro_latest_post',
	    'label'    => __( 'Box date Content Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_latestpost_box_meta_date_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_latestpost_box_meta_date_bgcolor', array(
		'label' => __('Box date Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_latest_post',
		'settings' => 'tameer_construction_pro_latestpost_box_meta_date_bgcolor',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_toggle_post_date',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_toggle_post_date',
	   array(
	      'label' => esc_html__( 'show/hide Date','tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_latest_post'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_toggle_post_meta',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_toggle_post_meta',
	   array(
	      'label' => esc_html__( 'show/hide Meta Content','tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_latest_post'
	)));
	  /* Newsletter Section */
    $wp_customize->add_section('tameer_construction_pro_get_in_touch_section',array(
        'title' => __('Get In Touch Section','tameer-construction-pro'),
        'description'   => __('Edit Newsletter section','tameer-construction-pro'),
        'panel' => 'tameer_construction_pro_panel_id',
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_get_in_touch_enable_disable_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_enable_disable_settings',
      array(
      'label' => __('Section Enable/Disable Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_get_in_touch_section'
    )));

    $wp_customize->selective_refresh->add_partial( 'tameer_construction_pro_radio_get_in_touch_enable', array(
        'selector' => '#inner_newsletter .section-heading',
        'render_callback' => 'tameer_construction_pro_customize_partial_tameer_construction_pro_radio_get_in_touch_enable',
    ));

    $wp_customize->add_setting('tameer_construction_pro_radio_get_in_touch_enable',
        array(
            'default' => 'Enable',
            'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
        )
    );
    $wp_customize->add_control('tameer_construction_pro_radio_get_in_touch_enable',
        array(
            'type' => 'radio',
            'label' => __('Do you want this section', 'tameer-construction-pro'),
            'section' => 'tameer_construction_pro_get_in_touch_section',
            'choices' => array(
                'Enable' => __('Enable', 'tameer-construction-pro'),
                'Disable' => __('Disable', 'tameer-construction-pro')
            ),
        )
    );

    $wp_customize->add_setting( 'tameer_construction_pro_get_in_touch_background_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_background_settings',
      array(
      'label' => __('Section Background Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_get_in_touch_section'
    )));

    $wp_customize->add_setting( 'tameer_construction_pro_get_in_touch_inner_bgcolor', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_inner_bgcolor', array(
        'label' => __('Background Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'settings' => 'tameer_construction_pro_get_in_touch_inner_bgcolor',
    )));
    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_bgimage',array(
        'default'   => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'tameer_construction_pro_newsletter_bgimage',
            array(
                'label' => __('Background image','tameer-construction-pro'),
                'section' => 'tameer_construction_pro_get_in_touch_section',
                'settings' => 'tameer_construction_pro_get_in_touch_bgimage'
    )));

    $wp_customize->add_setting( 'tameer_construction_pro_get_in_touch_contents_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_contents_settings',
      array(
      'label' => __('Section Contents Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_get_in_touch_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_title',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_get_in_touch_title',array(
        'label' => __('Section Title','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'setting'   => 'tameer_construction_pro_get_in_touch_title',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_address',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_get_in_touch_address',array(
        'label' => __('Address','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'setting'   => 'tameer_construction_pro_get_in_touch_address',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_contact',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_get_in_touch_contact',array(
        'label' => __('Contact No.','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'setting'   => 'tameer_construction_pro_get_in_touch_contact',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_mail_id',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_get_in_touch_mail_id',array(
        'label' => __('Email Id','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'setting'   => 'tameer_construction_pro_get_in_touch_mail_id',
        'type'  => 'text'
    ));
    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_timing',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_get_in_touch_timing',array(
        'label' => __('Timing','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'setting'   => 'tameer_construction_pro_get_in_touch_timing',
        'type'  => 'text'
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_get_in_touch_shortcode_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_shortcode_settings',
      array(
      'label' => __('Shortcode Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_get_in_touch_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_shortcode',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field',
    ));
    $wp_customize->add_control('tameer_construction_pro_get_in_touch_shortcode',array(
        'label' => __('Get in Touch Form Shortcode','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'setting'   => 'tameer_construction_pro_get_in_touch_shortcode',
        'type'  => 'text'
    ));

    $wp_customize->add_setting( 'tameer_construction_pro_get_in_touch_color_fonts_settings',
	  array(
	  'default' => '',
	  'transport' => 'postMessage',
	  'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
	));
    $wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_color_fonts_settings',
      array(
      'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
      'section' => 'tameer_construction_pro_get_in_touch_section'
    )));

    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_title_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_title_color', array(
        'label' => __('Section Title Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'settings' => 'tameer_construction_pro_get_in_touch_title_color',
    )));
    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_title_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_get_in_touch_title_font_family', array(
        'section'  => 'tameer_construction_pro_get_in_touch_section',
        'label'    => __( 'Section Title Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_content_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_content_color', array(
        'label' => __('Section Text Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'settings' => 'tameer_construction_pro_get_in_touch_content_color',
    )));
    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_content_font_family',array(
      'default' => '',
      'capability' => 'edit_theme_options',
      'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
    ));
    $wp_customize->add_control(
        'tameer_construction_pro_get_in_touch_content_font_family', array(
        'section'  => 'tameer_construction_pro_get_in_touch_section',
        'label'    => __( 'Section Text Font Family','tameer-construction-pro'),
        'type'     => 'select',
        'choices'  => $font_array,
    ));

    $wp_customize->add_setting('tameer_construction_pro_get_in_touch_icon_color', array(
        'default' => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_get_in_touch_icon_color', array(
        'label' => __('Icon Color', 'tameer-construction-pro'),
        'section' => 'tameer_construction_pro_get_in_touch_section',
        'settings' => 'tameer_construction_pro_get_in_touch_icon_color',
    )));

	/*------------------------------Our Trainers------------------------------*/
	$wp_customize->add_setting( 'tameer_construction_pro_our_trainers_box_subtitle_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_trainers_box_subtitle_color', array(
		'label' => __('Box Sub-title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_trainers_box_subtitle_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_our_trainers_box_subtitle_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_our_trainers_box_subtitle_font_family', array(
	    'section'  => 'tameer_construction_pro_our_team_section',
	    'label'    => __( 'Box Sub-title Font Family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_our_trainers_social_icons_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_trainers_social_icons_color', array(
		'label' => __('Social Icons Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_trainers_social_icons_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_trainers_socialicons_hover_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_trainers_socialicons_hover_color', array(
		'label' => __('Social Icons Hover Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_trainers_socialicons_hover_color',
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_trainers_socialicons_hover_background_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_trainers_socialicons_hover_background_color', array(
		'label' => __('Social Icons Hover Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_trainers_socialicons_hover_background_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_our_trainers_box_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_our_trainers_box_bgcolor', array(
		'label' => __('Box Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_our_trainers_box_bgcolor',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_team_box_content_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_team_box_content_color', array(
		'label' => __('Content Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_our_team_section',
		'settings' => 'tameer_construction_pro_team_box_content_color',
	)));

	/*Blog page category*/
	$wp_customize->add_section('tameer_construction_pro_blog_category',array(
		'title'	=> __('Blog Page','tameer-construction-pro'),
		'description'	=> __('select the category you wish to be get displayed on blog page .','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));
	$categories = get_categories();
	$cats = array();
	$i = 0;
	foreach($categories as $category){
		if($i==0){
			$default = $category->slug;
			$i++;
		}
		$cats[$category->slug] = $category->name;
	}
	$wp_customize->add_setting('tameer_construction_pro_category_setting',array(
		'sanitize_callback' => 'sanitize_text_field',
	));
	$wp_customize->add_control('tameer_construction_pro_category_setting',array(
		'type'    => 'select',
		'choices' => $cats,
		'label' => __('Blog page (select category to show selected post)','tameer-construction-pro'),
		'section' => 'tameer_construction_pro_blog_category',
	));	

	$wp_customize->add_setting( 'tameer_construction_pro_toggle_auther',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_toggle_auther',
	   array(
	      'label' => esc_html__( 'Author Name','tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_blog_category'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_toggle_comments',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_toggle_comments',
	   array(
	      'label' => esc_html__( 'Comment','tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_blog_category'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_toggle_date',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_toggle_date',
	   array(
	      'label' => esc_html__( 'Post Date','tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_blog_category'
	)));
	
	$wp_customize->add_setting( 'tameer_construction_pro_toggle_sharing',
	   array(
	      'default' => 1,
	      'transport' => 'refresh',
	      'sanitize_callback' => 'tsconstruction_switch_sanitization'
	));	 
	$wp_customize->add_control( new tsconstruction_Toggle_Switch_Custom_control( $wp_customize, 'tameer_construction_pro_toggle_sharing',
	   array(
	      'label' => esc_html__( 'Social Sharing','tameer-construction-pro' ),
	      'section' => 'tameer_construction_pro_blog_category'
	)));
    
?>