<?php
	// Header Section

	$wp_customize->add_section('tameer_construction_pro_top_bar_section',array(
		'title'	=> __('Top Bar','tameer-construction-pro'),
		'description'	=> __('Top Bar Settings','tameer-construction-pro'),
		'priority'	=> null,
		'panel' => 'tameer_construction_pro_panel_id',
	));

	$wp_customize->add_setting( 'tameer_construction_pro_top_bar_contact_number_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_top_bar_contact_number_settings',
	    array(
	    'label' => __('Contact Number Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_top_bar_section'
	)));

	$wp_customize->add_setting('tameer_construction_pro_top_bar_contact_number',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_top_bar_contact_number',array(
		'label'	=> __('Add Contact Here','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_top_bar_section',
		'setting'	=> 'tameer_construction_pro_top_bar_contact_number',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_top_bar_email_address_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_top_bar_email_address_settings',
	    array(
	    'label' => __('Email Address Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_top_bar_section'
	)));

	$wp_customize->add_setting('tameer_construction_pro_top_bar_email_address',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_top_bar_email_address',array(
		'label'	=> __('Add Email Id Here','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_top_bar_section',
		'setting'	=> 'tameer_construction_pro_top_bar_email_address',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_top_bar_opening_time_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_top_bar_opening_time_settings',
	    array(
	    'label' => __('Opening Time Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_top_bar_section'
	)));

	$wp_customize->add_setting('tameer_construction_pro_top_bar_opening_time',array(
		'default'	=> '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('tameer_construction_pro_top_bar_opening_time',array(
		'label'	=> __('Add Opening Time Here','tameer-construction-pro'),
		'section'	=> 'tameer_construction_pro_top_bar_section',
		'setting'	=> 'tameer_construction_pro_top_bar_opening_time',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 'tameer_construction_pro_top_bar_background_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_top_bar_background_settings',
	    array(
	    'label' => __('Section Background Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_top_bar_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_topbar_bgcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_topbar_bgcolor', array(
		'label' => __('Top Bar Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_top_bar_section',
		'settings' => 'tameer_construction_pro_topbar_bgcolor',
	)));

	$wp_customize->add_setting('tameer_construction_pro_topbar_bgimage',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control(new WP_Customize_Image_Control($wp_customize,'tameer_construction_pro_topbar_bgimage',array(
        'label' => __('Background Image ','tameer-construction-pro'),
        'section' => 'tameer_construction_pro_top_bar_section',
        'settings' => 'tameer_construction_pro_topbar_bgimage'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_top_bar_color_fonts_settings',
	    array(
	    'default' => '',
	    'transport' => 'postMessage',
	    'sanitize_callback' => 'tameer_construction_pro_text_sanitization'
  	));
	$wp_customize->add_control( new Themeseye_Themes_Seperator_custom_Control( $wp_customize, 'tameer_construction_pro_top_bar_color_fonts_settings',
	    array(
	    'label' => __('Section Color Fonts Settings','tameer-construction-pro'),
	    'section' => 'tameer_construction_pro_top_bar_section'
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_contact_details_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_contact_details_color', array(
		'label' => __('Contact Details Title Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_top_bar_section',
		'settings' => 'tameer_construction_pro_contact_details_color',
	)));
	$wp_customize->add_setting('tameer_construction_pro_contact_details_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control(
	    'tameer_construction_pro_contact_details_font_family', array(
	    'section'  => 'tameer_construction_pro_top_bar_section',
	    'label'    => __('Contact Details Font family','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));

	$wp_customize->add_setting( 'tameer_construction_pro_contact_icon_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_contact_icon_color', array(
		'label' => __('Contact Details Icon Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_top_bar_section',
		'settings' => 'tameer_construction_pro_contact_icon_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_social_icon_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_social_icon_color', array(
		'label' => __('Social Icon Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_top_bar_section',
		'settings' => 'tameer_construction_pro_social_icon_color',
	)));
	// This is Header Menu Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_headermenu_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_headermenu_color', array(
		'label' => __('Menu Item Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_headermenu_color',
	)));
	//This is Header Menu FontFamily picker setting
	$wp_customize->add_setting('tameer_construction_pro_headermenu_font_family',array(
	  'default' => '',
	  'capability' => 'edit_theme_options',
	  'sanitize_callback' => 'tameer_construction_pro_sanitize_choices'
	 ));
	$wp_customize->add_control(
	    'tameer_construction_pro_headermenu_font_family', array(
	    'section'  => 'tameer_construction_pro_header_section',
	    'label'    => __( 'Menu Item Fonts','tameer-construction-pro'),
	    'type'     => 'select',
	    'choices'  => $font_array,
	));
	
	// This is Nav Dropdown Background Color picker setting
	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_color', array(
		'label' => __('Menu DropDown Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_color',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_itemcolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_itemcolor', array(
		'label' => __('Menu DropDown Item Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_itemcolor',
	)));

	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_item_hovercolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_item_hovercolor', array(
		'label' => __('Menu DropDown Item Hover Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_item_hovercolor',
	)));
	
	//In Responsive
	$wp_customize->add_setting( 'tameer_construction_pro_dropdownbg_responsivecolor', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_dropdownbg_responsivecolor', array(
		'label' => __('Responsive Menu Background Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_dropdownbg_responsivecolor',
	)));
	$wp_customize->add_setting( 'tameer_construction_pro_headermenu_responsive_item_color', array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_hex_color'
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tameer_construction_pro_headermenu_responsive_item_color', array(
		'label' => __('Responsive Menu item Color', 'tameer-construction-pro'),
		'section' => 'tameer_construction_pro_header_section',
		'settings' => 'tameer_construction_pro_headermenu_responsive_item_color',
	)));
?>