<div class="theme-offer">
	<?php
		//POST and update the customizer and other related data of TE CONSTRUCTION PRO
      if(isset($_POST['submit'])){
        // Create a front page and assigned the template
        if( get_page_by_title( 'home' ) == NULL ){
          $home_title = 'Home';
      		$home_check = get_page_by_title($home_title);
     	   	$home = array(
        		   'post_type' => 'page',
        		   'post_title' => $home_title,
        		   'post_status' => 'publish',
        		   'post_author' => 1,
        		   'post_slug' => 'home'
     		   );
          $home_id = wp_insert_post($home);
         }
         //Set the home page template
         add_post_meta( $home_id, '_wp_page_template', 'page-template/home-page.php' );

         //Set the static front page
         $home = get_page_by_title( 'Home' );
         update_option( 'page_on_front', $home->ID );
         update_option( 'show_on_front', 'page' );

         if( get_page_by_title( 'Blog' ) == NULL ){
            // Create a blog page and assigned the template
            $blog_title = 'Blog';
            $blog_check = get_page_by_title($blog_title);
            $blog = array(
               'post_type' => 'page',
               'post_title' => $blog_title,
               'post_status' => 'publish',
               'post_author' => 1,
               'post_slug' => 'blog'
            );
            $blog_id = wp_insert_post($blog);
         }

         //Set the blog page template
         add_post_meta( $blog_id, '_wp_page_template', 'page-template/blog-fullwidth-extend.php' );

         if( get_page_by_title( 'Page' ) == NULL ){
         // Create a Page 
            $page_title = 'Page ';
            $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est. laborum.ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.';

            $page_check = get_page_by_title($page_title);
            $page = array(
            'post_type' => 'page',
            'post_title' => $page_title,
            'post_content'  => $content,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_slug' => 'page'
            );
            $page_id = wp_insert_post($page);
         }

         if( get_page_by_title( 'Contact' ) == NULL ){
            // Create a contact page and assigned the template
            $contact_title = 'Contact';
            $contact_check = get_page_by_title($contact_title);
            $contact = array(
            'post_type' => 'page',
            'post_title' => $contact_title,
            'post_status' => 'publish',
            'post_author' => 1,
            'post_slug' => 'contact'
            );
   		   $contact_id = wp_insert_post($contact);
         }

         //Set the blog with right sidebar template
         add_post_meta( $contact_id, '_wp_page_template', 'page-template/contact.php' );

         //Section Ordering
         set_theme_mod('tameer_construction_pro_section_ordering_settings_repeater','intro-video,services-tab,recent-properties,projects,records,our-team,testimonial,latest-posts,our-partners');

         /*customizer-custom-variables.php*/
         //Typography Section-First Highlight Color
         set_theme_mod( 'tameer_construction_pro_hi_first_color', '#f6453d' );

         //Typography Section-Second Highlight Color
         set_theme_mod( 'tameer_construction_pro_hi_second_color', '#003056' );
         //Top Bar
         set_theme_mod( 'tameer_construction_pro_top_bar_contact_number', '1(868) 225-6155' );

         set_theme_mod( 'tameer_construction_pro_top_bar_email_address', 'admin@domain.com' );

         set_theme_mod( 'tameer_construction_pro_top_bar_opening_time', 'Mon to Fri 08:00 - 18:00' );

         set_theme_mod( 'tameer_construction_pro_top_bar_register_title', 'Register' ); 

         set_theme_mod( 'tameer_construction_pro_top_bar_login_title', 'Login' );

         set_theme_mod( 'tameer_construction_pro_top_bar_register_title_link', '#' ); 

         set_theme_mod( 'tameer_construction_pro_top_bar_login_title_link', '#' );

         /*customizer-part-slide.php*/
         //Number of slides to show section
         set_theme_mod( 'tameer_construction_pro_slide_number', '3' );
         $main_points = array("Innovate", "Create", "Deliver");
         //Slider Images section
         for($i=1; $i<=3; $i++) {
            set_theme_mod( 'tameer_construction_pro_slide_image'.$i, get_template_directory_uri().'/assets/images/slides/slide'.$i.'.jpg' );
            //Slide top title
            set_theme_mod( 'tameer_construction_pro_slide_heading'.$i, 'We Build Tomorrow' );
            //Slide Heading Title section
            set_theme_mod( 'tameer_construction_pro_slide_heading_first'.$i, 'Road Vision. Careful Thought. Hand-Crafted Design' );
            //Slider Button Text section
            set_theme_mod( 'tameer_construction_pro_slide_btntext'.$i, 'Read More' );
            set_theme_mod( 'tameer_construction_pro_slide_list_text1', 'Innovate' );

            set_theme_mod( 'tameer_construction_pro_slide_list_text2', 'Create' );

            set_theme_mod( 'tameer_construction_pro_slide_list_text3', 'Deliver' );

            set_theme_mod( 'tameer_construction_pro_slider_know_more_button'.$i, 'Know More' );

            set_theme_mod( 'tameer_construction_pro_slider_know_more_button_link'.$i, '#');

            //Slider Icon Images
            set_theme_mod( 'tameer_construction_pro_list_image1', get_template_directory_uri().'/assets/images/slider-icon-images/icon1.png' );

            set_theme_mod( 'tameer_construction_pro_list_image2', get_template_directory_uri().'/assets/images/slider-icon-images/icon2.png' );

            set_theme_mod( 'tameer_construction_pro_list_image3', get_template_directory_uri().'/assets/images/slider-icon-images/icon3.png' );
         }
         //Slide Delay
         set_theme_mod( 'tameer_construction_pro_slide_delay', '10000' );

          /*customizer-part-home.php*/
           //Intro Video Section-Number
          set_theme_mod('tameer_construction_pro_intro_video_watch_label',"watch");

          set_theme_mod('tameer_construction_pro_intro_video_intro_label',"Intro Video");

           //Embedded Video URL
         set_theme_mod( 'tameer_construction_pro_video_link', 'https://www.youtube.com/watch?v=FQvFzdFIp08' ); 

          set_theme_mod( 'tameer_construction_pro_intro_video_image',get_template_directory_uri().'/assets/images/aboutimg.jpg' );
          
          set_theme_mod( 'tameer_construction_pro_intro_video_number', '4' );
          for($i=1; $i<=4; $i++){
                      //Goals Box Icon
           set_theme_mod( 'tameer_construction_pro_intro_video_icon_image'.$i,get_template_directory_uri().'/assets/images/exercise-images/icon'.$i.'.png' );
           set_theme_mod( 'tameer_construction_pro_intro_video_icon_image','');
                      //content
            set_theme_mod( 'tameer_construction_pro_intro_video_sec_details', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.' );
                      //button
          }

           //Services Tab section
            //Section Title
            set_theme_mod( 'tameer_construction_pro_services_sec_title', 'What We Do' );
            //Number of Tabs to show
            set_theme_mod( 'tameer_construction_pro_services_number', '5' );

            $tab_title= array("Construction","Electrical","Architecture","Cleaning","Plumbing","Repairing");

            $category= array("Construction","Electrical","Architecture","Cleaning","Plumbing","Repairing");

            for($i=1; $i<=6; $i++){
                  //Tab Image
                  set_theme_mod( 'tameer_construction_pro_services_tab_image'.$i, get_template_directory_uri().'/assets/images/what-we-do/icon'.$i.'.png' );
                  //Tab title section
                  set_theme_mod( 'tameer_construction_pro_services_tab_title'.$i, $tab_title[$i-1] );
                  // Set the category to the services
                  set_theme_mod( 'tameer_construction_pro_services_cate'.$i, $category[$i-1] );
                  // Read More Text
                  set_theme_mod( 'tameer_construction_pro_services_btntext'.$i, 'More Details');
            }
       
         /*customizer-part-home.php*/
         //Welcome section-
            //Welcome
            //Section Title
            set_theme_mod( 'tameer_construction_pro_welcome_title', 'Lorem ipsum dolor sit amet' );

            set_theme_mod('tameer_construction_pro_welcome_image',get_template_directory_uri().'/assets/images/aboutusimg2.jpg');

            set_theme_mod( 'tameer_construction_pro_welcome_title_second', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.' ); 

            set_theme_mod( 'tameer_construction_pro_welcome_title_third', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' ); 

            set_theme_mod( 'tameer_construction_pro_welcome_contents', ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.' ); 

            set_theme_mod('tameer_construction_pro_welcome_read_more_button','Read More');

            /*customizer-part-home.php*/
            //Services Section-
            //Services
            set_theme_mod( 'tameer_construction_pro_services_old_bgimage', get_template_directory_uri().'/assets/images/servicesbg.jpg' ); 
            //Section Title
            set_theme_mod( 'tameer_construction_pro_services_old_number', '4' );
              for($i=1; $i<=4; $i++){
            set_theme_mod( 'tameer_construction_pro_services_old_main_title', 'Services We Offer' );

            set_theme_mod( 'tameer_construction_pro_services_old_sub_title', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' );

            set_theme_mod( 'tameer_construction_pro_services_old_icon_image'.$i,get_template_directory_uri().'/assets/images/services/icon'.$i.'.png' );

            set_theme_mod( 'tameer_construction_pro_services_old_title'.$i, 'The Best Training' );

            set_theme_mod( 'tameer_construction_pro_services_old_title_second'.$i, 'Lorem ipsum dolor sit amet, consectetur adipiscing elit' );

            set_theme_mod( 'tameer_construction_pro_services_old_content'.$i, 'Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam.' ); 

            set_theme_mod( 'tameer_construction_pro_services_old_read_more'.$i, 'Read More' ); 
            set_theme_mod( 'tameer_construction_pro_services_old_read_more_url', '' );
            }
            /*customizer-part-home.php*/
            //Recent Properties
            set_theme_mod( 'tameer_construction_pro_properies_bgcolor', '#f15d28' );
            //Section Title
            set_theme_mod( 'tameer_construction_pro_properties_title', 'Recent Properties' );

            set_theme_mod( 'tameer_construction_pro_properties_more_details_url', '#' );

            set_theme_mod('tameer_construction_pro_properties_contact_details_label', 'Contact Details');

            set_theme_mod('tameer_construction_pro_properties_contact_number', '777 122 3457');

            set_theme_mod('tameer_construction_pro_properties_email_id', 'construction@gmail.com');
             /*customizer-part-home.php*/
            //Special Offer
            set_theme_mod( 'tameer_construction_pro_special_offer_bgcolor', '#f15d28' );
            //Section Title
            set_theme_mod( 'tameer_construction_pro_special_offer_title', 'Special Offer!' );

            set_theme_mod( 'tameer_construction_pro_special_offer_subtitle', 'Become a member until 31.05 and get 4 weeks of free trainings.' );

            set_theme_mod( 'tameer_construction_pro_special_offer_read_more', 'Read More' );

            set_theme_mod( 'tameer_construction_pro_special_offer_read_more_url', '#' );

            //Number of Details to show
            set_theme_mod( 'tameer_construction_pro_about_number', '3' ); 
            $icon_array = array("fas fa-headphones", "far fa-object-ungroup", "fas fa-dollar-sign");
            $box_title = array("Digital Solutions", "Creative Strategy", "Integrated Marketing");
            for($i=1; $i<=3; $i++){
               //Icon class
               set_theme_mod( 'tameer_construction_pro_about_sec_icon'.$i, $icon_array[$i-1] ); 
               // Box title
               set_theme_mod( 'tameer_construction_pro_about_sec_title'.$i, $box_title[$i-1] ); 
               //Description
               set_theme_mod( 'tameer_construction_pro_about_sec_details'.$i, 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.' ); 

               set_theme_mod( 'tameer_construction_pro_about_sec_readmore'.$i, 'Read More' );
            }
            //Projects 
            set_theme_mod( 'tameer_construction_pro_projects_read_more_button', 'See More' );

            set_theme_mod( 'tameer_construction_pro_projects_read_more_button_link', '#' );

            set_theme_mod('tameer_construction_pro_projects_number','5');
           /*customizer-part-home.php*/
         // section-
            //Facilities
            //Section Title
            set_theme_mod( 'tameer_construction_pro_facilities_bgimage', get_template_directory_uri().'/assets/images/ourfacilities.jpg' );

            set_theme_mod( 'tameer_construction_pro_facilities_main_title', 'Our Facilities' );

            set_theme_mod( 'tameer_construction_pro_facilities_main_subtitle', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.' );

             for($i=1; $i<=7; $i++){
            set_theme_mod( 'tameer_construction_pro_welcome_title_second', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit.' ); 

            set_theme_mod( 'tameer_construction_pro_welcome_title_third', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' ); 

            set_theme_mod( 'tameer_construction_pro_welcome_contents', ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.' ); 
             } 
         //Membership 

            //background image
            set_theme_mod( 'tameer_construction_pro_records_bgimage', get_template_directory_uri().'/assets/images/counterbg.jpg');

            set_theme_mod( 'tameer_construction_pro_records_inner_boxbgimage', get_template_directory_uri().'/assets/images/records/record'.$i.'.png');

            set_theme_mod('tameer_construction_pro_records_boxbgcolor','#fff');

            set_theme_mod('tameer_construction_pro_records_section_title','Records');

            //Number of Pricing to show section
            set_theme_mod( 'tameer_construction_pro_records_box_number', '4' );
            //counter image
            $records_number = array("69", "96", "786","999");
            $records_title = array("Best Engineer", "All Machineries", "Happy Customers","Completed Projects");
            for($i=1; $i<=4; $i++){  

                //background image
                set_theme_mod( 'tameer_construction_pro_records_boxbgimage', get_template_directory_uri().'/assets/images/records/record'.$i.'.png');   
              
                set_theme_mod( 'tameer_construction_pro_records_box_details'.$i, $records_number[$i-1] );

                set_theme_mod( 'tameer_construction_pro_records_box_title'.$i, $records_title[$i-1] );
            } 
         // Services Section 

            // Creating post types
            $services_array = array("Construction", "Electrical", "Architecture","Cleaning","Plumbing");
            $categories_slug = array("construction","electrical","architecture","cleaning","plumbing");
            for($i=1;$i<=5;$i++){
               $title = $services_array[$i-1];
               wp_insert_term(
                $services_array[$i-1], //the term
                'createcategory', //taxanomy
                array(
                    'description' => 'This is for demo purpose',
                    'slug' => $categories_slug[$i-1]
                )
               );
               $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.';

               // Create post object
               $my_post = array(
                 'post_title'    => wp_strip_all_tags( $title ),
                 'post_content'  => $content,
                 'post_status'   => 'publish',
                  'post_type'     => 'services',
               );
               // Background Image
              set_theme_mod( 'tameer_construction_pro_services_bg_color', '#fff' ); 
               // Insert the post into the database
               $post_id = wp_insert_post( $my_post );

               update_post_meta( $post_id, 'place', 'New York City, United States - 1776 feet' );

               wp_set_object_terms($post_id, $categories_slug[$i-1], 'createcategory', true);
               
               //Title
               set_theme_mod( 'tameer_construction_pro_services_title', 'What We Do' );
               //Description
               set_theme_mod( 'tameer_construction_pro_services_subtitle', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry.' );

               $image_url = get_template_directory_uri().'/assets/images/what-we-do-images/image'.$i.'.jpg';

               $image_name      = 'image'.$i.'.jpg';
               $upload_dir       = wp_upload_dir(); // Set upload folder
               $image_data       = file_get_contents($image_url); // Get image data
               $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
               $filename         = basename( $unique_file_name ); // Create image file name

               // Check folder permission and define file location
               if( wp_mkdir_p( $upload_dir['path'] ) ) {
                 $file = $upload_dir['path'] . '/' . $filename;
               } else {
                 $file = $upload_dir['basedir'] . '/' . $filename;
               }

               // Create the image  file on the server
               file_put_contents( $file, $image_data );

               // Check image file type
               $wp_filetype = wp_check_filetype( $filename, null );

               // Set attachment data
               $attachment = array(
                 'post_mime_type' => $wp_filetype['type'],
                 'post_title'     => sanitize_file_name( $filename ),
                 'post_content'   => '',
                 'post_type'     => 'services',
                 'post_status'    => 'inherit'
               );

               // Create the attachment
               $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

               // Include image.php
               require_once(ABSPATH . 'wp-admin/includes/image.php');

               // Define attachment metadata
               $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

               // Assign metadata to attachment
               wp_update_attachment_metadata( $attach_id, $attach_data );

               // And finally assign featured image to post
               set_post_thumbnail( $post_id, $attach_id );

            }
            // Popular Programs Section 

            // Creating post types
            $programs_array = array("Project Name1", "Project Name2", "Project Name3", "Project Name4", "Project Name5");
            for($i=1;$i<=5;$i++){
               $title = $programs_array[$i-1];
               $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.';

               // Create post object
               $my_post = array(
                 'post_title'    => wp_strip_all_tags( $title ),
                 'post_content'  => $content,
                 'post_status'   => 'publish',
                  'post_type'     => 'projects',
               );
               // Background Image
              set_theme_mod( 'tameer_construction_pro_popular_programs_bgimage', get_template_directory_uri().'/assets/images/popularprogrambg.jpg' ); 
               // Insert the post into the database
               $post_id = wp_insert_post( $my_post );
               //Title
               set_theme_mod( 'tameer_construction_pro_projects_title', 'Projects' );

               $image_url = get_template_directory_uri().'/assets/images/projects/project'.$i.'.jpg';

               $image_name      = 'project'.$i.'.jpg';
               $upload_dir       = wp_upload_dir(); // Set upload folder
               $image_data       = file_get_contents($image_url); // Get image data
               $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
               $filename         = basename( $unique_file_name ); // Create image file name

               // Check folder permission and define file location
               if( wp_mkdir_p( $upload_dir['path'] ) ) {
                 $file = $upload_dir['path'] . '/' . $filename;
               } else {
                 $file = $upload_dir['basedir'] . '/' . $filename;
               }

               // Create the image  file on the server
               file_put_contents( $file, $image_data );

               // Check image file type
               $wp_filetype = wp_check_filetype( $filename, null );

               // Set attachment data
               $attachment = array(
                 'post_mime_type' => $wp_filetype['type'],
                 'post_title'     => sanitize_file_name( $filename ),
                 'post_content'   => '',
                 'post_type'     => 'projects',
                 'post_status'    => 'inherit'
               );

               // Create the attachment
               $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

               // Include image.php
               require_once(ABSPATH . 'wp-admin/includes/image.php');

               // Define attachment metadata
               $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

               // Assign metadata to attachment
               wp_update_attachment_metadata( $attach_id, $attach_data );

               // And finally assign featured image to post
               set_post_thumbnail( $post_id, $attach_id );

            }

         //Team Section
            //Section Title
            set_theme_mod( 'tameer_construction_pro_team_title', 'Our Great Team' ); 

         //Video Section
            //Video Image
            set_theme_mod( 'tameer_construction_pro_video_image',get_template_directory_uri().'/assets/images/videoimg.jpg' );
            //Embedded Video URL
            set_theme_mod( 'tameer_construction_pro_video_link', 'https://www.youtube.com/embed/aVS4W7GZSq0' ); 

         //Testimonial Section
            //Section Title and description
            set_theme_mod( 'tameer_construction_pro_testimonial_title', 'What Our Clients Say' ); 

            set_theme_mod( 'tameer_construction_pro_our_testimonial_bgimage',get_template_directory_uri().'/assets/images/testimonialsbg.jpg' );

         //Latest Post
            //Section Title
            set_theme_mod( 'tameer_construction_pro_latest_news_title', 'Latest News' ); 

         //Our Partners Title
            set_theme_mod( 'tameer_construction_pro_our_partnersbg_color', '#ffffff' ); 
            //Number of boxes to show
            set_theme_mod( 'tameer_construction_pro_our_partners_number', '5' );

            //tameer_construction_pro_our_partners_image
            for($i=1; $i<=5; $i++) {
                  set_theme_mod( 'tameer_construction_pro_our_partners_image'.$i, get_template_directory_uri().'/assets/images/sponsors/sponsor'.$i.'.png' );
            }

          // Get In Touch
            set_theme_mod('tameer_construction_pro_get_in_touch_inner_bgcolor', '#ffffff');
            
            set_theme_mod( 'tameer_construction_pro_get_in_touch_title', 'Get in touch.');

            set_theme_mod( 'tameer_construction_pro_get_in_touch_address', '112, Tiara, 23 Washington DC');

            set_theme_mod( 'tameer_construction_pro_get_in_touch_contact', '+00 123-456-7890');

            set_theme_mod( 'tameer_construction_pro_get_in_touch_mail_id', 'construction@gmail.com'); 

            set_theme_mod( 'tameer_construction_pro_get_in_touch_timing', 'From 7:05AM to 19:30PM');   

            set_theme_mod( 'tameer_construction_pro_get_in_touch_bgimage', get_template_directory_uri().'/assets/images/getintouchbg.png' );

            set_theme_mod( 'tameer_construction_pro_get_in_touch_shortcode', '[contact-form-7 id="148" title="Newsletter"]' );

         /*customizer-part-social-icons.php*/
            //twitter link
            set_theme_mod( 'tameer_construction_pro_headertwitter', 'https://twitter.com/' ); 
            //facebook link 
            set_theme_mod( 'tameer_construction_pro_headerfacebook', 'https://www.facebook.com/' ); 
            //Linkedin link
            set_theme_mod( 'tameer_construction_pro_headerlinkedin', 'https://www.linkedin.com' ); 
            //GooglePlus link
            set_theme_mod( 'tameer_construction_pro_headergoogleplus', 'https://plus.google.com/' );
            //GooglePlus link
            set_theme_mod( 'tameer_construction_pro_headeryoutube', 'https://www.youtube.com/' ); 

         /*customizer-part-footer.php*/
         //Footer section
            set_theme_mod( 'tameer_construction_pro_footer_logo', get_template_directory_uri().'/assets/images/footerlogo.png' );

         //Contact Page
            //Longitude
            set_theme_mod( 'tameer_construction_pro_address_longitude', '-80.053361' ); 
            //Latitude
            set_theme_mod( 'tameer_construction_pro_address_latitude', '26.704241' ); 
            //Email Title text
            set_theme_mod( 'tameer_construction_pro_contactpage_email_title', 'Email ' ); 
            //Email ID
            set_theme_mod( 'tameer_construction_pro_contactpage_email', 'abcxuz@gmail.com' ); 
            //Address Title text
            set_theme_mod( 'tameer_construction_pro_address_title', 'Address' ); 
            //Address
            set_theme_mod( 'tameer_construction_pro_address', '455 Martinson, Los Angeles' ); 
            //Phone Title text
            set_theme_mod( 'tameer_construction_pro_contactpage_phone_title', 'Phone' ); 
            //Phone No.
            set_theme_mod( 'tameer_construction_pro_contactpage_phone', '123-456-7890' );
            //Working Hours Title
            set_theme_mod( 'tameer_construction_pro_contactpage_working_hours_title', 'Working Hours' ); 
            //Phone No.
            set_theme_mod( 'tameer_construction_pro_contactpage_working_hours', 'Monday-Friday, 8am - 6pm' ); 

            //Additional Infomation.
            set_theme_mod( 'tameer_construction_pro_contactpage_form_desc', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.' );

            //Contact From Title
            set_theme_mod( 'tameer_construction_pro_contactpage_form_title', 'SAY HELLO!' ); 
            //Phone No.
            set_theme_mod( 'tameer_construction_pro_contactpage_form_subtitle', 'We would love to hear from you!' );  

         //footer text
            //Copyright Text
            set_theme_mod( 'tameer_construction_pro_footer_copy', 'Tameer Construction Pro Theme | All Rights Reserved.' ); 
         
         //Shortcode
            set_theme_mod( 'tameer_construction_pro_shortcode', '[tameer-construction-pro-team], [tameer-construction-pro-testimonials], [tameer-construction-pro-projects], [tameer-construction-pro-properties]');
            
         /*--- Latest Post---*/
        	for($i=1;$i<=3;$i++){
            $title = 'Praesent suscipit m'.$i;
            $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.';
            	// Create post object
            $my_post = array(
            'post_title'    => wp_strip_all_tags( $title ),
            'post_content'  => $content,
            'post_status'   => 'publish',
            'post_type'     => 'post',
            );

            // Insert the post into the database
            $post_id = wp_insert_post( $my_post );

            $image_url = get_template_directory_uri().'/assets/images/blog/blog'.$i.'.jpg';

            $image_name       = 'news'.$i.'.jpg';
            $upload_dir       = wp_upload_dir(); // Set upload folder
            $image_data       = file_get_contents($image_url); // Get image data
            $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
            $filename         = basename( $unique_file_name ); // Create image file name

            // Check folder permission and define file location
            if( wp_mkdir_p( $upload_dir['path'] ) ) {
              $file = $upload_dir['path'] . '/' . $filename;
            } else {
              $file = $upload_dir['basedir'] . '/' . $filename;
            }

            // Create the image  file on the server
            file_put_contents( $file, $image_data );

            // Check image file type
            $wp_filetype = wp_check_filetype( $filename, null );

            // Set attachment data
            $attachment = array(
              'post_mime_type' => $wp_filetype['type'],
              'post_title'     => sanitize_file_name( $filename ),
              'post_content'   => '',
              'post_type'     => 'post',
              'post_status'    => 'inherit'
            );

            // Create the attachment
            $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

            // Include image.php
            require_once(ABSPATH . 'wp-admin/includes/image.php');

            // Define attachment metadata
            $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

            // Assign metadata to attachment
            wp_update_attachment_metadata( $attach_id, $attach_data );

            // And finally assign featured image to post
            set_post_thumbnail( $post_id, $attach_id );
			   }

        	/*--- Testimonial---*/
        	for($i=1;$i<=3;$i++){
            $title = 'Testimonial'.$i;
            $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.';
            	// Create post object
            $my_post = array(
            'post_title'    => wp_strip_all_tags( $title ),
            'post_content'  => $content,
            'post_status'   => 'publish',
            'post_type'     => 'testimonials',
            );

            // Insert the post into the database
            $post_id = wp_insert_post( $my_post );

            	// Now replafile_urice meta w/ new updated value array
            	update_post_meta( $post_id, 'tameer_construction_pro_posttype_testimonial_desigstory', 'Web Designer');

            $image_url = get_template_directory_uri().'/assets/images/testimonials/testimonial'.$i.'.jpg';

            $image_name       = 'testimonial'.$i.'.jpg';
            $upload_dir       = wp_upload_dir(); // Set upload folder
            $image_data       = file_get_contents($image_url); // Get image data
            $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
            $filename         = basename( $unique_file_name ); // Create image file name

            // Check folder permission and define file location
            if( wp_mkdir_p( $upload_dir['path'] ) ) {
              $file = $upload_dir['path'] . '/' . $filename;
            } else {
              $file = $upload_dir['basedir'] . '/' . $filename;
            }

            // Create the image  file on the server
            file_put_contents( $file, $image_data );

            // Check image file type
            $wp_filetype = wp_check_filetype( $filename, null );

            // Set attachment data
            $attachment = array(
              'post_mime_type' => $wp_filetype['type'],
              'post_title'     => sanitize_file_name( $filename ),
              'post_content'   => '',
              'post_type'     => 'testimonials',
              'post_status'    => 'inherit'
            );

            // Create the attachment
            $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

            // Include image.php
            require_once(ABSPATH . 'wp-admin/includes/image.php');

            // Define attachment metadata
            $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

            // Assign metadata to attachment
            wp_update_attachment_metadata( $attach_id, $attach_data );

            // And finally assign featured image to post
            set_post_thumbnail( $post_id, $attach_id );
			   }

        	/*---Team Post ---*/ 
        	for($i=1;$i<=3;$i++){
         	$title_name = array("Jack Peterson","Jenefer Mathew","Stella Andrew");
            $title = $title_name[$i-1];
         	$content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.';

            // Create post object
         	$my_post = array(
         	  'post_title'    => wp_strip_all_tags( $title ),
         	  'post_content'  => $content,
         	  'post_status'   => 'publish',
               'post_type'     => 'team',
         	);

         	// Insert the post into the database
         	$post_id = wp_insert_post( $my_post );
            $team_designation = array("Construction Engineer","Managing Director","Project Co-ordinator");
         	// Now replace meta w/ new updated value array
            update_post_meta( $post_id, 'team_designation',$team_designation[$i-1]);
           	update_post_meta( $post_id, 'meta-facebookurl', 'https://www.facebook.com/');
           	update_post_meta( $post_id, 'meta-linkdenurl', 'https://www.linkedin.com');
           	update_post_meta( $post_id, 'meta-twitterurl', 'https://twitter.com/');
           	update_post_meta( $post_id, 'meta-googleplusurl', 'https://plus.google.com' );

           	$image_url = get_template_directory_uri().'/assets/images/team/team'.$i.'.jpg';

            $image_name       = 'ourtrainers'.$i.'.jpg';
            $upload_dir       = wp_upload_dir(); // Set upload folder
            $image_data       = file_get_contents($image_url); // Get image data
            $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
            $filename         = basename( $unique_file_name ); // Create image file name

            // Check folder permission and define file location
            if( wp_mkdir_p( $upload_dir['path'] ) ) {
              $file = $upload_dir['path'] . '/' . $filename;
            } else {
              $file = $upload_dir['basedir'] . '/' . $filename;
            }

            // Create the image  file on the server
            file_put_contents( $file, $image_data );

            // Check image file type
            $wp_filetype = wp_check_filetype( $filename, null );

            // Set attachment data
            $attachment = array(
              'post_mime_type' => $wp_filetype['type'],
              'post_title'     => sanitize_file_name( $filename ),
              'post_content'   => '',
              'post_type'     => 'team',
              'post_status'    => 'inherit'
            );

            // Create the attachment
            $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

            // Include image.php
            require_once(ABSPATH . 'wp-admin/includes/image.php');

            // Define attachment metadata
            $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

            // Assign metadata to attachment
            wp_update_attachment_metadata( $attach_id, $attach_data );

            // And finally assign featured image to post
            set_post_thumbnail( $post_id, $attach_id );
         }
         /*---Team Post ---*/ 
          for($i=1;$i<=3;$i++){
          $title = array("House","Apartment","Bungalow");
          $content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.';

            // Create post object
          $my_post = array(
            'post_title'    => wp_strip_all_tags( $title[$i-1] ),
            'post_content'  => $content,
            'post_status'   => 'publish',
               'post_type'     => 'properties',
          );

          // Insert the post into the database
          $post_id = wp_insert_post( $my_post );

          // Now replace meta w/ new updated value array
            update_post_meta($post_id,'tameer_construction_pro_posttype_properties_location','New York City, United States - 1776 Feet.');
            update_post_meta($post_id, 'area','1000Sq.Ft');
            update_post_meta($post_id, 'bedrooms','3');
            update_post_meta($post_id, 'garage','2');
            update_post_meta($post_id, 'bathrooms','3');
            update_post_meta($post_id, 'price','$50000');
            update_post_meta( $post_id, 'meta-facebookurl', 'https://www.facebook.com/');
            update_post_meta( $post_id, 'meta-linkdenurl', 'https://www.linkedin.com');
            update_post_meta( $post_id, 'meta-twitterurl', 'https://twitter.com/');
            update_post_meta( $post_id, 'details', 'More Details' );
            update_post_meta( $post_id, 'sale', 'Sale' );

            $image_url = get_template_directory_uri().'/assets/images/recent-properties/property'.$i.'.jpg';

            $image_name       = 'property'.$i.'.jpg';
            $upload_dir       = wp_upload_dir(); // Set upload folder
            $image_data       = file_get_contents($image_url); // Get image data
            $unique_file_name = wp_unique_filename( $upload_dir['path'], $image_name ); // Generate unique name
            $filename         = basename( $unique_file_name ); // Create image file name

            // Check folder permission and define file location
            if( wp_mkdir_p( $upload_dir['path'] ) ) {
              $file = $upload_dir['path'] . '/' . $filename;
            } else {
              $file = $upload_dir['basedir'] . '/' . $filename;
            }

            // Create the image  file on the server
            file_put_contents( $file, $image_data );

            // Check image file type
            $wp_filetype = wp_check_filetype( $filename, null );

            // Set attachment data
            $attachment = array(
              'post_mime_type' => $wp_filetype['type'],
              'post_title'     => sanitize_file_name( $filename ),
              'post_content'   => '',
              'post_type'     => 'properties',
              'post_status'    => 'inherit'
            );

            // Create the attachment
            $attach_id = wp_insert_attachment( $attachment, $file, $post_id );

            // Include image.php
            require_once(ABSPATH . 'wp-admin/includes/image.php');

            // Define attachment metadata
            $attach_data = wp_generate_attachment_metadata( $attach_id, $file );

            // Assign metadata to attachment
            wp_update_attachment_metadata( $attach_id, $attach_data );

            // And finally assign featured image to post
            set_post_thumbnail( $post_id, $attach_id );
         }
      }
    ?>
    <ul>
		<li>
			<hr>
			<span class="dashicons dashicons-format-aside"></span><?php _e('Click on the below content to get demo content installed.','tameer-construction-pro'); ?>
			<br><small><b><?php _e('Please take backup if your website is already live with data.This importer will fill the TE CONSTRUCTION PRO new customizer values.','tameer-construction-pro'); ?></b></small>
			<br><br>
	        <form action="<?php echo esc_url(home_url()); ?>/wp-admin/themes.php?page=tameer_construction_pro_guide" method="POST" onsubmit="return validate(this);">
	            <input type="submit" name="submit" value="<?php _e('Run Importer','tameer-construction-pro'); ?>" class="button button-primary button-large">
	        </form>
			<script type="text/javascript">
				function validate(valid) {
    				 if(confirm("Do you really want to do this?")){
					    document.forms[0].submit();
					}
				    else {
					    return false;
				    }
				}
			</script>
			<hr>
		</li>
	</ul>
</div>