<?php
if ( get_theme_mod( 'tameer_construction_pro_footer_copy_bgcolor' ) ) {
	$about_backg = 'background-color:' . esc_attr( get_theme_mod( 'tameer_construction_pro_footer_copy_bgcolor' ) ) . ';';
} elseif ( get_theme_mod( 'tameer_construction_pro_footer_copy_bgimage' ) ) {
	$about_backg = 'background-image:url(\'' . esc_url( get_theme_mod( 'tameer_construction_pro_footer_copy_bgimage' ) ) . '\')';
} else {
	$about_backg = '';
}
?>
<div class="copyright" style="<?php echo esc_attr($about_backg); ?>">
	<div class="container">
		<div class="row main_sociobox">
			<div class="col-lg-6 col-md-6 col-sm-12">
				<p><?php echo esc_html( get_theme_mod( 'tameer_construction_pro_footer_copy' ) ); ?><span class="credit_link"><?php echo esc_html( tameer_construction_pro_credit_link() ); ?></span></p>
			</div>
			<div class="col-lg-6 col-md-6 col-sm-6 col-sm-12">
				<nav id="site-navigation" class="main-navigation">
		          <a href="javascript:void(0)" class="closebtn mobile-menu" onclick="closeNav()"><i class="fas fa-times"></i></a>
		          <?php 
		            wp_nav_menu( array( 
		              'theme_location' => 'copyright-menu',
		              'container_class' => 'menu clearfix' ,
		              'menu_class' => 'clearfix',
		              'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
		              'fallback_cb' => 'wp_page_menu',
		            ) ); 
		          ?>
		        </nav><!-- #site-navigation -->
			</div>
		</div>
	</div>
</div>