<?php
$footer_section = get_theme_mod( 'tameer_construction_pro_footer_widgets_enable' );
if ( 'Disable' == $footer_section ) {
	return;
}
if( get_theme_mod('tameer_construction_pro_footer_widget_bgcolor') ) {
  $about_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_footer_widget_bgcolor')).';';
}elseif( get_theme_mod('tameer_construction_pro_footer_widget_bgimage') ){
  $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_footer_widget_bgimage')).'\')';
}else{
  $about_backg = '';
}
?>
<?php 
if(get_theme_mod('tameer_construction_pro_radio_get_in_touch_enable',true) == 'Enable'){
  $footer = "padding-top:12%;";
}
else{
  $footer = "padding-top:0;";
}
?>
<div id="footer" style="<?php echo esc_attr( $about_backg ); ?>">
	<div id="footer_box" class="darkbox" style="<?php echo esc_attr( $footer ); ?>">
		<div class="container">
		 <nav id="site-navigation" class="main-navigation">
          <a href="javascript:void(0)" class="closebtn mobile-menu" onclick="closeNav()"><i class="fas fa-times"></i></a>
          <?php 
            wp_nav_menu( array( 
              'theme_location' => 'footer-menu',
              'container_class' => 'menu clearfix' ,
              'menu_class' => 'clearfix',
              'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
              'fallback_cb' => 'wp_page_menu',
            ) ); 
          ?>
        </nav>
      </div>
		<div class="container footer-cols">
			<?php
			$count = 0;
			if ( is_active_sidebar('footer-1') != '' ) {
				$count++;
			}
			if ( is_active_sidebar('footer-2') != '' ) {
				$count++;
			}
			if ( is_active_sidebar('footer-3') != '' ) {
				$count++;
			}
			if ( is_active_sidebar('footer-4') != '' ) {
				$count++;
			}
			if ( $count == 1 ) {
				$colmd = 'col-lg-12 col-sm-6';
			} elseif ( $count == 2 ) {
				$colmd = 'offset-lg-2 offset-md-2 offset-sm-2 col-lg-4 col-md-4 col-sm-4';
			} elseif ( $count == 3 ){
				$colmd = 'col-lg-4 col-sm-6';
			} else {
				$colmd = 'col-lg-3 col-sm-6';
			}
			?>
			<div class="row">
				<div class="<?php if ( is_active_sidebar('footer-1') == '' ) { echo 'footer_hide'; } else { echo esc_html( $colmd ); } ?>">
					<?php dynamic_sidebar( 'footer-1' ); ?>
				</div>
				<div class="<?php if ( is_active_sidebar('footer-2') == '' ) { echo 'footer_hide'; } else { echo esc_html( $colmd ); } ?>">
					<?php dynamic_sidebar( 'footer-2' ); ?>
				</div>
				<div class="<?php if ( is_active_sidebar('footer-3') == '' ) { echo 'footer_hide'; } else { echo esc_html( $colmd ); } ?>">
					<?php dynamic_sidebar( 'footer-3' ); ?>
				</div>
				<div class="<?php if ( is_active_sidebar('footer-4') == '' ) { echo 'footer_hide'; } else { echo esc_html( $colmd ); } ?>">
					<?php dynamic_sidebar( 'footer-4' ); ?>
				</div>
			</div>
		</div><!-- .container -->
	</div><!-- #footer_box -->
</div>