<?php 
$section_disable = get_theme_mod( 'tameer_construction_pro_radio_get_in_touch_enable' );
if ( 'Disable' == $section_disable ) {
  return;
}

if( get_theme_mod('tameer_construction_pro_get_in_touch_bgcolor') ) { 
  $section_bg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_get_in_touch_bgcolor')).';';
}elseif( get_theme_mod('tameer_construction_pro_get_in_touch_bgimage') ){
  $section_bg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_get_in_touch_bgimage')).'\')';
}else{
  $section_bg = '';   
}
if( get_theme_mod('tameer_construction_pro_get_in_touch_inner_bgcolor') ) { 
  $inner_bg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_get_in_touch_inner_bgcolor')).';';
}else{
  $inner_bg = '';
}
?>
<section class="newsletter">
	<embed width="100%" height="550" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?q=<?php echo esc_attr(get_theme_mod('tameer_construction_pro_address_latitude')); ?>,<?php echo esc_attr(get_theme_mod('tameer_construction_pro_address_longitude')); ?>&hl=es;z=14&amp;output=embed"></embed>
	<div id="inner_newsletter"  style="<?php echo esc_attr($inner_bg); ?>">
		<div id="newsletter_background" style="<?php echo esc_attr($section_bg); ?>">
			<?php if(get_theme_mod('tameer_construction_pro_get_in_touch_title') != ''){?>
				<div class="footer_form container">
			      <div class="section-heading">
			        <h3><?php echo esc_html(get_theme_mod('tameer_construction_pro_get_in_touch_title')); ?></h3>
			      </div>
			    </div>
			<?php } ?>
			<div class="row">
				<div class="col-md-6">
					<?php if(get_theme_mod('tameer_construction_pro_get_in_touch_address') != ''){?>
						<p><i class="fas fa-map-marker-alt"></i><?php echo esc_html(get_theme_mod('tameer_construction_pro_get_in_touch_address'))?></p>
					<?php } ?>
					<?php if(get_theme_mod('tameer_construction_pro_get_in_touch_contact') != ''){?>
						<p><i class="fas fa-phone-volume"></i><?php echo esc_html(get_theme_mod('tameer_construction_pro_get_in_touch_contact'))?></p>
					<?php } ?>
					<?php if(get_theme_mod('tameer_construction_pro_get_in_touch_mail_id') != ''){?>
						<p><i class="fas fa-envelope"></i><?php echo esc_html(get_theme_mod('tameer_construction_pro_get_in_touch_mail_id'))?></p>
					<?php } ?>
					<?php if(get_theme_mod('tameer_construction_pro_get_in_touch_timing') != ''){?>
						<p><i class="far fa-clock"></i><?php echo esc_html(get_theme_mod('tameer_construction_pro_get_in_touch_timing'))?></p>
					<?php } ?>
				</div>
				<div class="col-md-6">
					<?php if ( get_theme_mod('tameer_construction_pro_get_in_touch_shortcode',true) != false ){ ?>
					<div class="form_outer">
						<div class="footer_form container">		    
							<?php echo do_shortcode(get_theme_mod('tameer_construction_pro_get_in_touch_shortcode')); ?>
						</div>
					</div>
					<?php } ?>
				</div>
			</div>
		</div>
	</div>
</section>	