<?php
/**
 * Template part for displaying header content
 *
 * @package tameer_construction_pro
 */
?>
<div class="container">
  <div class="row bg-media">
    <div class="logo-section col-lg-3 col-md-3 col-sm-12 col-12">
      <div class="logo">
        <?php if( has_custom_logo() ){ tameer_construction_pro_the_custom_logo();
        }else{ ?>
          <?php if(get_theme_mod('tameer_construction_pro_display_title',true) != ''){?>
          <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php esc_attr(bloginfo( 'name' )); ?></a></h1>
         <?php }
          if(get_theme_mod('tameer_construction_pro_display_tagline',true) != ''){ 
            $description = get_bloginfo( 'description', 'display' );
          if ( $description || is_customize_preview() ) : ?>
            <p class="site-description"><?php echo esc_html($description); ?></p>
        <?php endif; } } ?>
      </div>
    </div>
    <div class="navbar col-lg-9 col-md-9 col-sm-12 col-12 p-0">
      <?php get_template_part( 'template-parts/header/navigation' ); ?>
      <?php get_template_part('template-parts/header/top-bar'); ?>  
    </div>
  </div>
</div>