<?php 
$about_section = get_theme_mod( 'tameer_construction_pro_radio_our_partners_enable' );
if ( 'Disable' == $about_section ) {
  return;
}
/*Our partners*/
if( get_theme_mod('tameer_construction_pro_our_partnersbg_color') ) {
  $about_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_our_partnersbg_color')).';';
}elseif( get_theme_mod('tameer_construction_pro_our_partnersbg_image') ){
  $about_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_our_partnersbg_image')).'\')';
}else{
  $about_backg = '';
}
$partners_loop="true";
if(get_theme_mod('tameer_construction_pro_our_partners_loop_settings',true)=='1')
{
$partners_loop="true";
}else{
$partners_loop="false";
}     
?>
<section id="our_partners" style="<?php echo esc_attr($about_backg); ?>">
  <div class="container">
    <div class="partners_inner">     
      <div class="owl-carousel">
        <?php
          $number = get_theme_mod('tameer_construction_pro_our_partners_number');
          for ($i=1; $i<=$number; $i++) {
              ?>
              <?php if( get_theme_mod('tameer_construction_pro_our_partners_image'.$i) != ''){ ?>
              <div class="client_inner">
                
                    <img class="feature-img mt-3 mb-3" src="<?php echo esc_url(get_theme_mod('tameer_construction_pro_our_partners_image'.$i)); ?>" alt="Image"/>
              </div>
            <?php }
          } ?> 
      </div>
    </div>
  </div>
  <span id="partners-loop"><?php echo esc_html($partners_loop); ?></span>
</section>