<?php 
$attorneys_enable = get_theme_mod( 'tameer_construction_pro_radio_testimonial_enable' );
if ( 'Disable' == $attorneys_enable ) {
  return;
}
if( get_theme_mod('tameer_construction_pro_testimonial_bgcolor') ) { 
  $testi_backg = 'background-color:'.esc_attr(get_theme_mod('tameer_construction_pro_testimonial_bgcolor')).';';
}elseif( get_theme_mod('tameer_construction_pro_our_testimonial_bgimage') ){
  $testi_backg = 'background-image:url(\''.esc_url(get_theme_mod('tameer_construction_pro_our_testimonial_bgimage')).'\')';
}else{
  $testi_backg = '';   
}
?>

<section id="testimonials" style="<?php echo esc_html($testi_backg); ?>">
  <div class="innerbox">
    <div class="container"> 
      <div class="section-heading"> 
        <?php if(get_theme_mod('tameer_construction_pro_testimonial_title',true != '')){?>
        <h2><?php echo esc_html(get_theme_mod('tameer_construction_pro_testimonial_title',__('What Client Say','tameer-construction-pro'))); ?></h2>
        <?php }?>
      </div>
      <?php if ( defined( 'TAMEER_CONSTRUCTION_PRO_POSTTYPE_VERSION' ) ) { ?>
      <div class="owl-carousel">
        <?php
          $args = array(
            'post_type' => 'testimonials',
            'post_status' => 'publish',
            'paged' => $paged,
          );
          $new = new WP_Query($args); 
          $loop_index = 0; $i=1;
          while ( $new->have_posts() ){
          $new->the_post();  ?>
          <div class="<?php if($i == 1){ echo 'active';}?>"> 
            <div class="testimonial_box mb-3 col-md-10 offset-md-1" >                  
              <div class="content_box w-100">
                <div class="short_text"><blockquote><i class="fas fa-quote-left"></i><?php $excerpt = get_the_excerpt(); echo esc_html(tameer_construction_pro_string_limit_words($excerpt,25)); ?><i class="fas fa-quote-right"></i></blockquote></div>
              </div>                  
            </div>
            <ul class="testimonial_auther">
              <li class="textimonial-img">
                <?php if (has_post_thumbnail()){ ?>
                  <img src="<?php the_post_thumbnail_url(); ?>">
                <?php } ?>
              </li>
              <li class="testimonial-box">
                <h4 class="testimonial_name"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> <cite><?php echo esc_html(get_post_meta($post->ID,'tameer_construction_pro_posttype_testimonial_desigstory',true)); ?></cite></h4>
              </li>
            </ul>
          </div>
        <?php $i++; }
       wp_reset_query(); ?>
      </div>
    </div>
    <?php } else{ echo '<h5 class="text-center">' . esc_html__( 'Please Activate Medical Supplements Store Posttype and create the testimonials to make it appear here.', 'tameer-construction-pro' ) . '</h5>'; } ?>
  </div>
</section>
