<div class="col-md-6 col-sm-6">
  <div class="postbox">
    <div class="postpic">
      <?php if (has_post_thumbnail()){ ?>
        <?php the_post_thumbnail(); ?>
      <?php } ?>
    </div>
    <div class="postbox-content text-left">
      <h3 class="posttitle text-left"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
      <?php if ( get_theme_mod('tameer_construction_pro_toggle_post_meta',true) == "1" ) { ?>
        <div class="row m-0 border_box">
          <span class="mr-3"><?php echo esc_html('By '); echo esc_html( the_author() ); ?></span><span><?php echo esc_html('/ '); comments_number( __('no comments','tameer-construction-pro'), __('no comments','tameer-construction-pro'), __('% comments','tameer-construction-pro') ); ?></span>
        </div>
      <?php } ?>
      <div class="posttext mt-3"><?php $excerpt = get_the_excerpt(); echo esc_html(tameer_construction_pro_string_limit_words($excerpt,30)); ?></div>
      <div id="latest_post" class="author-pic row mt-3">
        <div class="col-lg-3 col-md-3 col-sm-3 col-3 ">
          <?php echo get_avatar( get_the_author_meta( 'ID' ) ); ?>
        </div>
        <div class="col-lg-9 col-md-9 col-sm-9 col-9">
           <?php if ( get_theme_mod('tameer_construction_pro_toggle_post_meta',true) == "1" ) { ?>
            <div class="row m-0 border_box">
              <span class="author-name"><?php the_author(); ?></span>
            </div>
            <?php } ?>
            <?php if ( get_theme_mod('tameer_construction_pro_toggle_post_date',true) == "1" ) { ?>
              <div class="posticon-1">
                <div class="date_div">
                  <span class="entry-date price pull-right"><?php the_time(get_option('date_format')); ?></span>
                </div>
              </div>
            <?php } ?>
        </div>
      </div>
    </div>
  </div>
</div>
